Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::GraphicsDeviceCapacity Class Reference

グラフィックスデバイス能力 More...

`#include <GraphicsDeviceCapacity.h>`

List of all members.

## Public Member Functions
virtual const D3DCapacity & | getCapacity () const
| デバイス能力の取得
virtual String | toString () const
| 文字列への変換
virtual const String & | getDeviceName () const
| デバイス名の取得
virtual const String & | getDriverName () const
| ドライバ名の取得
virtual int | getDeviceOrdinal () const
| デバイス番号の取得
virtual D3DDEVTYPE | getDeviceType () const
| デバイスタイプの取得
virtual bool | isWindowed () const
| ウィンドウモードの取得
virtual VertexProcessingType | getVertexProcessingType () const
| 頂点プロセスタイプの取得
virtual D3DFORMAT | getAdapterFormat () const
| アダプタフォーマットの取得
virtual D3DFORMAT | getBackBufferFormat () const
| バックバッファフォーマットの取得
virtual const DimensionI & | getBackBufferSize () const
| バックバッファサイズの取得
virtual float | getBackBufferAspectRate () const
| バックバッファアスペクト比の取得
virtual int | getRefreshRate () const
| リフレッシュレートの取得
virtual bool | getDepthStencilEnabled () const
| 深度、ステンシルバッファは有効か
virtual D3DFORMAT | getDepthStencilFormat () const
| 深度、ステンシルフォーマットの取得
virtual int | getPresentationInterval () const
| プレゼンテーション間隔の取得
virtual D3DMULTISAMPLE_TYPE | getMultiSampleType () const
| マルチサンプルタイプの取得
virtual u_int | getMultiSampleQuality () const
| マルチサンプルクォリティの取得
virtual u_int | getNumSimultaneousRTs () const
| マルチレンダーターゲット数の取得
virtual bool | supportedExecuteSystemMemory () const
| システムメモリで実行はサポートされているか
virtual bool | supportedExecuteVideoMemory () const
| ビデオメモリで実行はサポートされているか
virtual bool | supportedTlVertexSystemMemory () const
| システムメモリ上のTL頂点はサポートされているか
virtual bool | supportedTlVertexVideoMemory () const
| ビデオメモリ上のTL頂点はサポートされているか
virtual bool | supportedTextureSystemMemory () const
| システムメモリ上のテクスチャはサポートされているか
virtual bool | supportedTextureVideoMemory () const
| ビデオメモリ上のテクスチャはサポートされているか
virtual bool | supportedDrawPrimTlVertex () const
| TL頂点の描画はサポートされているか.
virtual bool | supportedCanRenderAfterFlip () const
| フリップ後のレンダリングはサポートされているか
virtual bool | supportedTextureNonLocalVidedMemory () const
| 非ローカルビデオメモリはサポートされているか
virtual bool | supportedDrawPrimitives2 () const
| DrawPrivitives2はサポートされているか.
virtual bool | supportedSeparateTextureMemories () const
| 独立したテクスチャメモリプールはサポートされているか
virtual bool | supportedDrawPrimitives2EX () const
| DrawPrimitives2EXはサポートされているか.
virtual bool | supportedHwTransformAndLight () const
| ハードウェアT&Lはサポートされているか
virtual bool | supportedCanBltSystemToNonLocal () const
| システムからビデオへのBLTはサポートされているか
virtual bool | supportedHwRasterization () const
| ハードウェアラスタライズはサポートされているか
virtual bool | supportedPureDevice () const
| ピュアデバイスはサポートされているか
virtual bool | supportedQuinticRtPatches () const
| ベジェ、Bスプラインはサポートされているか
virtual bool | supportedRtPatches () const
| 矩形、三角形パッチはサポートされているか
virtual bool | supportedRtPatchHanldeZero () const
| 効率的なハンドル0パッチはサポートされているか
virtual bool | supportedNPatches () const
| Nパッチはサポートされているか.
virtual bool | supportedPresentationIntervalImmediate () const
| プレゼンテーション間隔即時はサポートされているか
virtual bool | supportedPresentationIntervalOne () const
| プレゼンテーション間隔1垂直同期はサポートされているか
virtual bool | supportedPresentationIntervalTwo () const
| プレゼンテーション間隔2垂直同期はサポートされているか
virtual bool | supportedPresentationIntervalThree () const
| プレゼンテーション間隔3垂直同期はサポートされているか
virtual bool | supportedPresentationIntervalFour () const
| プレゼンテーション間隔4垂直同期はサポートされているか
virtual bool | supportedCursorColor () const
| ハードウェアカーソルはサポートされているか
virtual bool | supportedCursorLowRes () const
| 低解像度ハードウェアカーソルはサポートされているか
virtual bool | supportedStretchRectMinPoint () const
| StretchRectMinPointフィルタはサポートされているか.
virtual bool | supportedStretchRectMagPoint () const
| StretchRectMagPointフィルタはサポートされているか.
virtual bool | supportedStretchRectMinLinear () const
| StretchRectMinLinearフィルタはサポートされているか.
virtual bool | supportedStretchRectMagLinear () const
| StretchRectMagLinearフィルタはサポートされているか.
virtual u_int | getMasterAdapterOrdinal () const
| マスターアダプタ番号の取得
virtual u_int | getAdapterOrdinalInGroup () const
| グループ内のアダプタ番号の取得
virtual u_int | getNumberOfAdaptersInGroup () const
| グループのアダプタ数の取得
virtual bool | supportedMaskZ () const
| Zマスクはサポートされているか.
virtual bool | supportedCullNone () const
| カリング無しはサポートされているか
virtual bool | supportedCullCW () const
| 時計回りカリングはサポートされているか
virtual bool | supportedCullCCW () const
| 反時計回りカリングはサポートされているか
virtual bool | supportedColorWriteEnable () const
| カラーチャンネル書き込みはサポートされているか
virtual bool | supportedClipPlaneScaledPoints () const
| 正確なポイントクリップはサポートされているか
virtual bool | supportedClipTlVerts () const
| 頂点クリップはサポートされているか
virtual bool | supportedTssArgTemp () const
| テンポラリテクスチャ引数はサポートされているか
virtual bool | supportedBlendOp () const
| アルファブレンディングはサポートされているか
virtual bool | supportedNullReference () const
| ヌルリファレンスはサポートされているか
virtual bool | supportedIndependentWriteMasks () const
| 独立した書き込みマスクはサポートされているか
virtual bool | supportedPerStageConstant () const
| テクスチャステージ定数はサポートされているか
virtual bool | supportedFogAndSpecularAlpha () const
| フォグとスペキュラアルファはサポートされているか
virtual bool | supportedSeparateAlphaBlend () const
| アルファ用ブレンドはサポートされているか
virtual bool | supportedMrtIndependentBitDepth () const
| MRTに違うZ深度はサポートされているか.
virtual bool | supportedMrtPostPixelShaderBlending () const
| MRTにピクセルシェーダ後処理はサポートされているか.
virtual bool | supportedFogVertexClamped () const
| 頂点フォグのクランプはサポートされているか
virtual bool | supportedReadScanLine () const
| スキャンラインの読み込みはサポートされているか
virtual bool | supportedFullscreenGamma () const
| フルスクリーンガンマはサポートされているか
virtual bool | supportedCanCalibrateGamma () const
| キャリブレートガンマはサポートされているか
virtual bool | supportedCanManageResource () const
| マネージドリソースはサポートされているか
virtual bool | supportedDynamicTextures () const
| 動的テクスチャはサポートされているか
virtual bool | supportedCanAutogenMipmap () const
| ミップマップ自動生成はサポートされているか
virtual bool | supportedAlphaFullscreenFlipOrDiscard () const
| フルスクリーンアルファブレンドはサポートされているか
virtual bool | supportedLinerToSrgbPresentation () const
| sRGBプレゼンテーションはサポートされているか
virtual bool | supportedCopyToVideoMemory () const
| ビデオメモリへのコピーはサポートされているか
virtual bool | supportedCopyToSystemMemory () const
| システムメモリへのコピーはサポートされているか
virtual float | getMaxPointSize () const
| 最大点サイズの取得
virtual bool | supportedLineTexture () const
| ラインテクスチャはサポートされているか
virtual bool | supportedLineZTest () const
| ラインZテストはサポートされているか
virtual bool | supportedLineBlend () const
| ラインブレンドはサポートされているか
virtual bool | supportedLineFog () const
| ラインフォグはサポートされているか
virtual bool | supportedLineAlphaCompare () const
| ラインアルファ比較はサポートされているか
virtual bool | supportedLineAntialias () const
| ラインアンチエイリアスはサポートされているか
virtual u_int | getMaxPrimitiveCount () const
| 最大プリミティブ数の取得
virtual u_int | getMaxVertexIndex () const
| 最大インデックス数の取得
virtual u_int | getMaxStreams () const
| 最大ストリーム数の取得
virtual u_int | getMaxActiveLights () const
| 最大ライト数の取得
virtual float | getMaxVertexW () const
| 最大W値の取得
virtual u_int | getMaxVertexBlendMatrices () const
| 最大ブレンド行列数の取得
virtual u_int | getMaxVertexBlendMatrixIndex () const
| 最大ブレンド行列インデックス数の取得
virtual float | getGuardBandLeft () const
| ガードバンド左の取得
virtual float | getGuardBandTop () const
| ガードバンド上の取得
virtual float | getGuardBandRight () const
| ガードバンド右の取得
virtual float | getGuardBandBottom () const
| ガードバンド下の取得
virtual u_int | getMaxUserCliplanes () const
| 最大ユーザクリップ面の取得
virtual bool | supportedTexGen () const
| Texgenはサポートされているか.
virtual bool | supportedMaterialSource () const
| カラーマテリアルソースはサポートされているか
virtual bool | supportedDirectionalLights () const
| ディレクショナルライトはサポートされているか
virtual bool | supportedPositionalLights () const
| ポジションライトはサポートされているか
virtual bool | supportedLocalViewer () const
| ローカルビューワはサポートされているか
virtual bool | supportedTweening () const
| 頂点トゥイーニングはサポートされているか
virtual bool | supportedTexgenSpheremap () const
| スフィアマップはサポートされているか
virtual bool | supportedNoTexgenNonLocalViewer () const
| ローカルビューワ外はTexgen不可はサポートされているか
virtual bool | supportedFvfTexCoordCountMask () const
| FVFテクスチャ座標カウントマスクはサポートされているか.
virtual bool | supportedFvfDoNotStripElements () const
| FVF頂点に余分な要素を含められるはサポートされているか.
virtual bool | supportedFvfPSize () const
| FVF頂点サイズはサポートされているか.
virtual bool | supportedDeclUByte4 () const
| u_byte4宣言はサポートされているか
virtual bool | supportedDeclUByte4N () const
| u_byte4N宣言はサポートされているか
virtual bool | supportedDeclShort2N () const
| short2N宣言はサポートされているか
virtual bool | supportedDeclShort4N () const
| short4N宣言はサポートされているか
virtual bool | supportedDeclUShort2N () const
| u_short2N宣言はサポートされているか
virtual bool | supportedDeclUShort4N () const
| u_short4N宣言はサポートされているか
virtual bool | supportedDeclUDec3 () const
| uDec3宣言はサポートされているか
virtual bool | supportedDeclDec3 () const
| dec3宣言はサポートされているか
virtual bool | supportedDeclFloat16_2 () const
| float16_2宣言はサポートされているか
virtual bool | supportedDeclFloat16_4 () const
| float16_4宣言はサポートされているか
virtual float | getMaxNPatchTesselationLevel () const
| Nパッチ最大分割レベルの取得.
virtual bool | supportedStreamOffset () const
| ストリームオフセットはサポートされているか
virtual bool | supportedDmapNPatch () const
| ディスプレースメントNパッチはサポートされているか
virtual bool | supportedAdaptiveTessRTPatch () const
| 適応型RTパッチ はサポートされているか
virtual bool | supportedAdaptiveTessNPatch () const
| 適応型Nパッチはサポートされているか
virtual bool | supportedCanStretchRectFromTextures () const
| テクスチャからのStretchRectはサポートされているか
virtual bool | supportedPreSampledDmapNPatch () const
| プレディスプレースドNパッチはサポートされているか
virtual bool | supportedVertexElementsCanShareStreamOffset () const
| ストリームオフセット共有はサポートされているか
virtual bool | supportedShadeColorGouraudRGB () const
| カラーグーロはサポートされているか
virtual bool | supportedShadeSpecularGouraudRGB () const
| スペキュラグーロはサポートされているか
virtual bool | supportedShadeAlphaGouraudBlend () const
| アルファグーロはサポートされているか
virtual bool | supportedShadeFogGouraud () const
| フォググーロはサポートされているか
virtual const DimensionI & | getMaxTextureSize () const
| 最大テクスチャサイズの取得
virtual u_int | getMaxVolumeExtent () const
| 最大ボリュームテクスチャ辺の取得
virtual u_int | getMaxTextureRepeat () const
| 最大テクスチャリピート数の取得
virtual u_int | getMaxAnisotropy () const
| 最大異方性フィルタ値の取得
virtual u_int | getMaxTextureAspectRaito () const
| 最大テクスチャアスペクト比の取得
virtual bool | supportedTexturePerspective () const
| パースペクティブ補正はサポートされているか
virtual bool | supportedTexturePow2 () const
| 辺は2の累乗のみはサポートされているか
virtual bool | supportedTextureAlpha () const
| アルファはサポートされているか
virtual bool | supportedTextureSquareOnly () const
| 正方形のみはサポートされているか
virtual bool | supportedTextureRepeatNotScaledBySize () const
| リピートスケール無しはサポートされているか
virtual bool | supportedTextureAlphaPalette () const
| アルファパレットはサポートされているか
virtual bool | supportedTextureNonPow2Conditional () const
| 辺は2の累乗で無くてよいはサポートされているか
virtual bool | supportedTextureProjected () const
| 射影はサポートされているか
virtual bool | supportedTextureCubemap () const
| キューブマップはサポートされているか
virtual bool | supportedTextureVolumemap () const
| ボリュームマップはサポートされているか
virtual bool | supportedTextureMipmap () const
| ミップマップはサポートされているか
virtual bool | supportedTextureMipmapCubemap () const
| キューブミップマップはサポートされているか
virtual bool | supportedTextureMipmapVolumemap () const
| ボリュームミップマップはサポートされているか
virtual bool | supportedTextureCubemapPow2 () const
| キューブマップ辺は2の累乗のみはサポートされているか
virtual bool | supportedTextureVolumemapPow2 () const
| ボリュームマップ辺は2の累乗のみはサポートされているか
virtual bool | supportedTextureNoProjectedBumpEnvironment () const
| 射影バンプ環境マップ無しはサポートされているか
virtual bool | supportedTextureAddressWrap () const
| ラップはサポートされているか
virtual bool | supportedTextureAddressMirror () const
| ミラーはサポートされているか
virtual bool | supportedTextureAddressClamp () const
| UVのクランプはサポートされているか.
virtual bool | supportedTextureAddressBorder () const
| 境界色の設定はサポートされているか
virtual bool | supportedTextureAddressIndependentUV () const
| 独立UVモードはサポートされているか
virtual bool | supportedTextureAddressMirrorOnce () const
| 1制限ミラーはサポートされているか
virtual bool | supportedVolumeTextureAddressWrap () const
| ボリュームラップはサポートされているか
virtual bool | supportedVolumeTextureAddressMirror () const
| ボリュームミラーはサポートされているか
virtual bool | supportedVolumeTextureAddressClamp () const
| ボリュームUVのクランプはサポートされているか
virtual bool | supportedVolumeTextureAddressBorder () const
| ボリューム境界色の設定はサポートされているか
virtual bool | supportedVolumeTextureAddressIndependentUV () const
| ボリューム独立UVモードはサポートされているか
virtual bool | supportedVolumeTextureAddressMirrorOnce () const
| ボリューム1制限ミラーはサポートされているか
virtual bool | supportedTextureFilterMinPoint () const
| 縮小ポイントはサポートされているか
virtual bool | supportedTextureFilterMinLiner () const
| 縮小線形はサポートされているか
virtual bool | supportedTextureFilterMinAnisotropic () const
| 縮小異方性はサポートされているか
virtual bool | supportedTextureFilterMinPyramidalQuad () const
| 縮小ピラミッドはサポートされているか
virtual bool | supportedTextureFilterMinGaussianQuad () const
| 縮小2次ガウスはサポートされているか
virtual bool | supportedTextureFilterMagPoint () const
| 拡大ポイントはサポートされているか
virtual bool | supportedTextureFilterMagLiner () const
| 拡大線形はサポートされているか
virtual bool | supportedTextureFilterMagAnisotropic () const
| 拡大異方性はサポートされているか
virtual bool | supportedTextureFilterMagPyramidalQuad () const
| 拡大ピラミッドはサポートされているか
virtual bool | supportedTextureFilterMagGaussianQuad () const
| 拡大2次ガウスはサポートされているか
virtual bool | supportedTextureFilterMipmapPoint () const
| ミップマップポイントはサポートされているか
virtual bool | supportedTextureFilterMipmapLiner () const
| ミップマップ線形はサポートされているか
virtual bool | supportedCubeTextureFilterMinPoint () const
| キューブ縮小ポイントはサポートされているか
virtual bool | supportedCubeTextureFilterMinLiner () const
| キューブ縮小線形はサポートされているか
virtual bool | supportedCubeTextureFilterMinAnisotropic () const
| キューブ縮小異方性はサポートされているか
virtual bool | supportedCubeTextureFilterMinPyramidalQuad () const
| キューブ縮小ピラミッドはサポートされているか
virtual bool | supportedCubeTextureFilterMinGaussianQuad () const
| キューブ縮小2次ガウスはサポートされているか
virtual bool | supportedCubeTextureFilterMagPoint () const
| キューブ拡大ポイントはサポートされているか
virtual bool | supportedCubeTextureFilterMagLiner () const
| キューブ拡大線形はサポートされているか
virtual bool | supportedCubeTextureFilterMagAnisotropic () const
| キューブ拡大異方性はサポートされているか
virtual bool | supportedCubeTextureFilterMagPyramidalQuad () const
| キューブ拡大ピラミッドはサポートされているか
virtual bool | supportedCubeTextureFilterMagGaussianQuad () const
| キューブ拡大2次ガウスはサポートされているか
virtual bool | supportedCubeTextureFilterMipmapPoint () const
| キューブミップマップポイントはサポートされているか
virtual bool | supportedCubeTextureFilterMipmapLiner () const
| キューブミップマップ線形はサポートされているか
virtual bool | supportedVolumeTextureFilterMinPoint () const
| ボリューム縮小ポイントはサポートされているか
virtual bool | supportedVolumeTextureFilterMinLiner () const
| ボリューム縮小線形はサポートされているか
virtual bool | supportedVolumeTextureFilterMinAnisotropic () const
| ボリューム縮小異方性はサポートされているか
virtual bool | supportedVolumeTextureFilterMinPyramidalQuad () const
| ボリューム縮小ピラミッドはサポートされているか
virtual bool | supportedVolumeTextureFilterMinGaussianQuad () const
| ボリューム縮小2次ガウスはサポートされているか
virtual bool | supportedVolumeTextureFilterMagPoint () const
| ボリューム拡大ポイントはサポートされているか
virtual bool | supportedVolumeTextureFilterMagLiner () const
| ボリューム拡大線形はサポートされているか
virtual bool | supportedVolumeTextureFilterMagAnisotropic () const
| ボリューム拡大異方性はサポートされているか
virtual bool | supportedVolumeTextureFilterMagPyramidalQuad () const
| ボリューム拡大ピラミッドはサポートされているか
virtual bool | supportedVolumeTextureFilterMagGaussianQuad () const
| ボリューム拡大2次ガウスはサポートされているか
virtual bool | supportedVolumeTextureFilterMipmapPoint () const
| ボリュームミップマップポイントはサポートされているか
virtual bool | supportedVolumeTextureFilterMipmapLiner () const
| ボリュームミップマップ線形はサポートされているか
virtual bool | supportedVertexTextureFilterMinPoint () const
| 頂点縮小ポイントはサポートされているか
virtual bool | supportedVertexTextureFilterMinLiner () const
| 頂点縮小線形はサポートされているか
virtual bool | supportedVertexTextureFilterMinAnisotropic () const
| 頂点縮小異方性はサポートされているか
virtual bool | supportedVertexTextureFilterMinPyramidalQuad () const
| 頂点縮小ピラミッドはサポートされているか
virtual bool | supportedVertexTextureFilterMinGaussianQuad () const
| 頂点縮小2次ガウスはサポートされているか
virtual bool | supportedVertexTextureFilterMagPoint () const
| 頂点拡大ポイントはサポートされているか
virtual bool | supportedVertexTextureFilterMagLiner () const
| 頂点拡大線形はサポートされているか
virtual bool | supportedVertexTextureFilterMagAnisotropic () const
| 頂点拡大異方性はサポートされているか
virtual bool | supportedVertexTextureFilterMagPyramidalQuad () const
| 頂点拡大ピラミッドはサポートされているか
virtual bool | supportedVertexTextureFilterMagGaussianQuad () const
| 頂点拡大2次ガウスはサポートされているか
virtual bool | supportedVertexTextureFilterMipmapPoint () const
| 頂点ミップマップポイントはサポートされているか
virtual bool | supportedVertexTextureFilterMipmapLiner () const
| 頂点ミップマップ線形はサポートされているか
virtual u_int | getMaxTextureBlendStages () const
| 最大テクスチャステージ数の取得
virtual u_int | getMaxSimultaneousTextures () const
| 最大マルチテクスチャ数の取得
virtual bool | supportedTextureOperationDisable () const
| Disableオペレーションはサポートされているか.
virtual bool | supportedTextureOperationSelectArg1 () const
| SelectArg1オペレーションはサポートされているか.
virtual bool | supportedTextureOperationSelectArg2 () const
| SelectArg2オペレーションはサポートされているか.
virtual bool | supportedTextureOperationModulate () const
| Modulateオペレーションはサポートされているか.
virtual bool | supportedTextureOperationModulate2x () const
| Modulate2xオペレーションはサポートされているか.
virtual bool | supportedTextureOperationModulate4x () const
| Modulate4xオペレーションはサポートされているか.
virtual bool | supportedTextureOperationAdd () const
| Addオペレーションはサポートされているか.
virtual bool | supportedTextureOperationAddSigned () const
| AddSignedオペレーションはサポートされているか.
virtual bool | supportedTextureOperationAddSigned2x () const
| AddSigned2xオペレーションはサポートされているか.
virtual bool | supportedTextureOperationSubtract () const
| Subtractオペレーションはサポートされているか.
virtual bool | supportedTextureOperationAddSmooth () const
| AddSmoothオペレーションはサポートされているか.
virtual bool | supportedTextureOperationBlendDiffuseAlpha () const
| BlendDiffuseAlphaオペレーションはサポートされているか.
virtual bool | supportedTextureOperationBlendTextureAlpha () const
| BlendTextureAlphaオペレーションはサポートされているか.
virtual bool | supportedTextureOperationBlendFactorAlpha () const
| BlendFactorAlphaオペレーションはサポートされているか.
virtual bool | supportedTextureOperationBlendTextureAlphaPM () const
| BlendTextureAlphaPMオペレーションはサポートされているか.
virtual bool | supportedTextureOperationBlendCurrentAlpha () const
| BlendCurrentAlphaオペレーションはサポートされているか.
virtual bool | supportedTextureOperationPreModulate () const
| PreModulateオペレーションはサポートされているか.
virtual bool | supportedTextureOperationModulateAlphaAddColor () const
| ModulateAlphaAddColorオペレーションはサポートされているか.
virtual bool | supportedTextureOperationModulateColorAddAlpha () const
| ModulateColorAddAlphaオペレーションはサポートされているか.
virtual bool | supportedTextureOperationModulateInvAlphaAddColor () const
| ModulateInvAlphaAddColorオペレーションはサポートされているか.
virtual bool | supportedTextureOperationModulateInvColorAddAlpha () const
| ModulateInvColorAddAlphaオペレーションはサポートされているか.
virtual bool | supportedTextureOperationBumpEnvMap () const
| BumpEnvMapオペレーションはサポートされているか.
virtual bool | supportedTextureOperationBumpEnvMapLuminance () const
| BumpEnvMapLuminanceオペレーションはサポートされているか.
virtual bool | supportedTextureOperationDotProduct3 () const
| DotProduct3オペレーションはサポートされているか.
virtual bool | supportedTextureOperationMultiplyAdd () const
| MultiplyAddオペレーションはサポートされているか.
virtual bool | supportedTextureOperationLerp () const
| Lerpオペレーションはサポートされているか.
virtual bool | supportedZCompareNever () const
| Z比較Neverはサポートされているか.
virtual bool | supportedZCompareLess () const
| Z比較Lessはサポートされているか.
virtual bool | supportedZCompareEqual () const
| Z比較Equalはサポートされているか.
virtual bool | supportedZCompareLessEqual () const
| Z比較LessEqualはサポートされているか.
virtual bool | supportedZCompareGreater () const
| Z比較Greaterはサポートされているか.
virtual bool | supportedZCompareNotEqual () const
| Z比較NotEqualはサポートされているか.
virtual bool | supportedZCompareGreaterEqual () const
| Z比較GreaterEqualはサポートされているか.
virtual bool | supportedZCompareAlways () const
| Z比較Alwaysはサポートされているか.
virtual bool | supportedStencilKeep () const
| ステンシルKeepはサポートされているか
virtual bool | supportedStencilZero () const
| ステンシルZeroはサポートされているか
virtual bool | supportedStencilReplace () const
| ステンシルReplaceはサポートされているか
virtual bool | supportedStencilIncrSat () const
| ステンシルIncrSatはサポートされているか
virtual bool | supportedStencilDecrSat () const
| ステンシルDecrSatはサポートされているか
virtual bool | supportedStencilInvert () const
| ステンシルInvertはサポートされているか
virtual bool | supportedStencilIncr () const
| ステンシルIncrはサポートされているか
virtual bool | supportedStencilDecr () const
| ステンシルDecrはサポートされているか
virtual bool | supportedStencilTwoSided () const
| ステンシルTwoSidedはサポートされているか
virtual bool | supportedAlphaCompareNever () const
| アルファ比較Neverはサポートされているか
virtual bool | supportedAlphaCompareLess () const
| アルファ比較Lessはサポートされているか
virtual bool | supportedAlphaCompareEqual () const
| アルファ比較Equalはサポートされているか
virtual bool | supportedAlphaCompareLessEqual () const
| アルファ比較LessEqualはサポートされているか
virtual bool | supportedAlphaCompareGreater () const
| アルファ比較Greaterはサポートされているか
virtual bool | supportedAlphaCompareNotEqual () const
| アルファ比較NotEqualはサポートされているか
virtual bool | supportedAlphaCompareGreaterEqual () const
| アルファ比較GreaterEqualはサポートされているか
virtual bool | supportedAlphaCompareAlways () const
| アルファ比較Alwaysはサポートされているか
virtual bool | supportedBlendSourceZero () const
| ソースZeroはサポートされているか
virtual bool | supportedBlendSourceOne () const
| ソースOneはサポートされているか
virtual bool | supportedBlendSourceSrcColor () const
| ソースSrcColorはサポートされているか
virtual bool | supportedBlendSourceInvSrcColor () const
| ソースInvSrcColorはサポートされているか
virtual bool | supportedBlendSourceSrcAlpha () const
| ソースSrcAlphaはサポートされているか
virtual bool | supportedBlendSourceInvSrcAlpha () const
| ソースInvSrcAlphaはサポートされているか
virtual bool | supportedBlendSourceDestAlpha () const
| ソースDestAlphaはサポートされているか
virtual bool | supportedBlendSourceInvDestAlpha () const
| ソースInvDestAlphaはサポートされているか
virtual bool | supportedBlendSourceDestColor () const
| ソースDestColorはサポートされているか
virtual bool | supportedBlendSourceInvDestColor () const
| ソースInvDestColorはサポートされているか
virtual bool | supportedBlendSourceSrcAlphaSat () const
| ソースSrcAlphaSatはサポートされているか
virtual bool | supportedBlendSourceBothSrcAlpha () const
| ソースBothSrcAlphaはサポートされているか
virtual bool | supportedBlendSourceBothInvSrcAlpha () const
| ソースBothInvSrcAlphaはサポートされているか
virtual bool | supportedBlendSourceBlendFactor () const
| ソースBlendFactorはサポートされているか
virtual bool | supportedBlendDestinationZero () const
| デスティネーションZeroはサポートされているか
virtual bool | supportedBlendDestinationOne () const
| デスティネーションOneはサポートされているか
virtual bool | supportedBlendDestinationSrcColor () const
| デスティネーションSrcColorはサポートされているか
virtual bool | supportedBlendDestinationInvSrcColor () const
| デスティネーションInvSrcColorはサポートされているか
virtual bool | supportedBlendDestinationSrcAlpha () const
| デスティネーションSrcAlphaはサポートされているか
virtual bool | supportedBlendDestinationInvSrcAlpha () const
| デスティネーションInvSrcAlphaはサポートされているか
virtual bool | supportedBlendDestinationDestAlpha () const
| デスティネーションDestAlphaはサポートされているか
virtual bool | supportedBlendDestinationInvDestAlpha () const
| デスティネーションInvDestAlphaはサポートされているか
virtual bool | supportedBlendDestinationDestColor () const
| デスティネーションDestColorはサポートされているか
virtual bool | supportedBlendDestinationInvDestColor () const
| デスティネーションInvDestColorはサポートされているか
virtual bool | supportedBlendDestinationSrcAlphaSat () const
| デスティネーションSrcAlphaSatはサポートされているか
virtual bool | supportedBlendDestinationBothSrcAlpha () const
| デスティネーションBothSrcAlphaはサポートされているか
virtual bool | supportedBlendDestinationBothInvSrcAlpha () const
| デスティネーションBothInvSrcAlphaはサポートされているか
virtual bool | supportedBlendDestinationBlendFactor () const
| デスティネーションBlendFactorはサポートされているか
virtual float | getExtentsAdjust () const
| アンチエイリアス拡張の取得
virtual bool | supportedRasterDither () const
| ディザはサポートされているか
virtual bool | supportedRasterZTest () const
| Zテストはサポートされているか.
virtual bool | supportedRasterFogVertex () const
| 頂点フォグはサポートされているか
virtual bool | supportedRasterFogTable () const
| フォグテーブルはサポートされているか
virtual bool | supportedRasterMipmapLODBias () const
| ミップマップバイアスはサポートされているか
virtual bool | supportedRasterZBufferLessHSR () const
| 隠れ面消去はサポートされているか
virtual bool | supportedRasterFogRange () const
| レンジフォグはサポートされているか
virtual bool | supportedRasterAnisotropy () const
| 異方性フィルタリングはサポートされているか
virtual bool | supportedRasterWBuffer () const
| Wバッファはサポートされているか.
virtual bool | supportedRasterWFog () const
| Wフォグはサポートされているか.
virtual bool | supportedRasterZFog () const
| Zフォグはサポートされているか.
virtual bool | supportedRasterColorPerspective () const
| 色パースペクティブ補正はサポートされているか
virtual bool | supportedRasterScissorTest () const
| シザーテストはサポートされているか
virtual bool | supportedRasterSlopeScaleDepthBias () const
| スロープスケール深度バイアスはサポートされているか
virtual bool | supportedRasterDepthBias () const
| 深度バイアスはサポートされているか
virtual bool | supportedRasterMultiSampleToggle () const
| マルチサンプル切り替えはサポートされているか
virtual u_int | getVertexShaderMajorVersion () const
| 頂点シェーダメジャーバージョンの取得
virtual u_int | getVertexShaderMinorVersion () const
| 頂点シェーダマイナーバージョンの取得
virtual u_int | getMaxVertexShaderConst () const
| 最大頂点シェーダ定数の取得
virtual u_int | getMaxStreamStride () const
| 最大ストリームストライド数の取得
virtual u_int | getMaxVShaderInstructionsExecuted () const
| 最大命令実行数数の取得
virtual u_int | getMaxVertexShader30InstructionSlots () const
| 最大命令スロット数の取得
virtual u_int | getVertexShaderDynamicFlowControlDepth () const
| 動的フローネストレベルの取得
virtual u_int | getVertexShaderNumTemps () const
| テンポラリ数の取得
virtual u_int | getVertexShaderStaticFlowControlDepth () const
| 静的フローネストレベルの取得
virtual bool | supportedVertexShaderPredication () const
| プレディケーション命令はサポートされているか
virtual u_int | getPixelShaderMajorVersion () const
| ピクセルシェーダメジャーバージョンの取得
virtual u_int | getPixelShaderMinorVersion () const
| ピクセルシェーダマイナーバージョンの取得
virtual float | getPixelShader1xMaxValue () const
| ピクセルシェーダ1x最大値の取得
virtual u_int | getMaxPShaderInstructionsExecuted () const
| 最大命令実行数数の取得
virtual u_int | getMaxPixelShader30InstructionSlots () const
| 最大命令スロット数の取得
virtual u_int | getPixelShaderDynamicFlowControlDepth () const
| 動的フローネストレベルの取得
virtual u_int | getPixelShaderNumTemps () const
| テンポラリ数の取得
virtual u_int | getPixelShaderStaticFlowControlDepth () const
| 静的フローネストレベルの取得
virtual u_int | getPixelShaderNumInstructionSlots () const
| 命令スロット数の取得
virtual bool | supportedPixelShaderArbitrarySwizzle () const
| 任意の入れ替えはサポートされているか
virtual bool | supportedPixelShaderGradientInstructions () const
| グラデーション命令はサポートされているか
virtual bool | supportedPixelShaderPredication () const
| プレディケーション命令はサポートされているか
virtual bool | supportedPixelShaderNoDependentReadLimit () const
| 従属読み込み無制限はサポートされているか
virtual bool | supportedPixelShaderNoTexnstructionLimit () const
| tex命令無制限はサポートされているか
## Static Public Member Functions
GraphicsDeviceCapacity * | getInstance ()
| インスタンス取得
## Protected Member Functions
| GraphicsDeviceCapacity ()
| コンストラクタ
virtual | ~GraphicsDeviceCapacity ()
| デストラクタ
virtual void | deviceReset (Direct3DDevice *direct3DDevice)
| デバイスがリセットされた
virtual String | supportedString (bool supported) const
| サポート文字列の取得
## Friends
class | LampGraphics

## Detailed Description

グラフィックスデバイス能力

Definition at line 36 of file GraphicsDeviceCapacity.h.

## Member Function Documentation

void Lamp::GraphicsDeviceCapacity::deviceReset | ( | Direct3DDevice * | direct3DDevice | ) | `[protected, virtual]`

  | デバイスがリセットされた Parameters:
  direct3DDevice | Direct3Dデバイス
Definition at line 53 of file GraphicsDeviceCapacity.cpp. References Assert, Lamp::GraphicsDeviceComboInformation::getAdapterFormat(), Lamp::GraphicsDeviceSettings::getAdapterInformation(), Lamp::GraphicsAdapterInformation::getAdapterOrdinal(), Lamp::GraphicsDeviceComboInformation::getBackBufferFormat(), Lamp::GraphicsDeviceSettings::getBackBufferSize(), Lamp::GraphicsDeviceSettings::getDepthStencilEnabled(), Lamp::GraphicsDeviceSettings::getDepthStencilFormat(), Lamp::GraphicsDeviceSettings::getDeviceComboInformation(), Lamp::GraphicsDeviceSettings::getDeviceInformation(), Lamp::GraphicsDeviceInformation::getDeviceType(), Lamp::GraphicsDeviceSettings::getDisplayMode(), Lamp::GraphicsAdapterInformation::getDriverName(), Lamp::GraphicsDeviceSettings::getMultiSampleQuality(), Lamp::GraphicsDeviceSettings::getMultiSampleType(), Lamp::GraphicsAdapterInformation::getName(), Lamp::GraphicsDeviceSettings::getPresentationInterval(), Lamp::GraphicsDeviceSettings::getVertexProcessingType(), Lamp::GraphicsDeviceSettings::isWindowed(), and Lamp::DimensionI::set(). Referenced by Lamp::LampGraphics::deviceReset().

virtual D3DFORMAT Lamp::GraphicsDeviceCapacity::getAdapterFormat | ( |  | ) | const`[inline, virtual]`

| アダプタフォーマットの取得 Returns: アダプタフォーマット Definition at line 107 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual u_int Lamp::GraphicsDeviceCapacity::getAdapterOrdinalInGroup | ( |  | ) | const`[inline, virtual]`

| グループ内のアダプタ番号の取得 Returns: グループ内のアダプタ番号 Definition at line 427 of file GraphicsDeviceCapacity.h. References u_int. Referenced by toString().

virtual float Lamp::GraphicsDeviceCapacity::getBackBufferAspectRate | ( |  | ) | const`[inline, virtual]`

| バックバッファアスペクト比の取得 Returns: バックバッファアスペクト比 Definition at line 127 of file GraphicsDeviceCapacity.h. References Lamp::DimensionI::height, and Lamp::DimensionI::width.

virtual D3DFORMAT Lamp::GraphicsDeviceCapacity::getBackBufferFormat | ( |  | ) | const`[inline, virtual]`

| バックバッファフォーマットの取得 Returns: バックバッファフォーマット Definition at line 113 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual const DimensionI& Lamp::GraphicsDeviceCapacity::getBackBufferSize | ( |  | ) | const`[inline, virtual]`

| バックバッファサイズの取得 Returns: バックバッファサイズ Definition at line 119 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual const D3DCapacity& Lamp::GraphicsDeviceCapacity::getCapacity | ( |  | ) | const`[inline, virtual]`

| デバイス能力の取得 Returns: デバイス能力 Definition at line 54 of file GraphicsDeviceCapacity.h. References D3DCapacity.

virtual bool Lamp::GraphicsDeviceCapacity::getDepthStencilEnabled | ( |  | ) | const`[inline, virtual]`

| 深度、ステンシルバッファは有効か Returns: 深度、ステンシルバッファが有効ならtrue Definition at line 141 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual D3DFORMAT Lamp::GraphicsDeviceCapacity::getDepthStencilFormat | ( |  | ) | const`[inline, virtual]`

| 深度、ステンシルフォーマットの取得 Returns: 深度、ステンシルフォーマット Definition at line 147 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual const String& Lamp::GraphicsDeviceCapacity::getDeviceName | ( |  | ) | const`[inline, virtual]`

| デバイス名の取得 Returns: デバイス名 Definition at line 69 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual int Lamp::GraphicsDeviceCapacity::getDeviceOrdinal | ( |  | ) | const`[inline, virtual]`

| デバイス番号の取得 Returns: デバイス番号 Definition at line 81 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual D3DDEVTYPE Lamp::GraphicsDeviceCapacity::getDeviceType | ( |  | ) | const`[inline, virtual]`

| デバイスタイプの取得 Returns: デバイスタイプ Definition at line 87 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual const String& Lamp::GraphicsDeviceCapacity::getDriverName | ( |  | ) | const`[inline, virtual]`

| ドライバ名の取得 Returns: ドライバ名 Definition at line 75 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual float Lamp::GraphicsDeviceCapacity::getExtentsAdjust | ( |  | ) | const`[inline, virtual]`

| アンチエイリアス拡張の取得 Returns: アンチエイリアス拡張 Definition at line 2258 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual float Lamp::GraphicsDeviceCapacity::getGuardBandBottom | ( |  | ) | const`[inline, virtual]`

| ガードバンド下の取得 Returns: ガードバンド下 Definition at line 744 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual float Lamp::GraphicsDeviceCapacity::getGuardBandLeft | ( |  | ) | const`[inline, virtual]`

| ガードバンド左の取得 Returns: ガードバンド左 Definition at line 726 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual float Lamp::GraphicsDeviceCapacity::getGuardBandRight | ( |  | ) | const`[inline, virtual]`

| ガードバンド右の取得 Returns: ガードバンド右 Definition at line 738 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual float Lamp::GraphicsDeviceCapacity::getGuardBandTop | ( |  | ) | const`[inline, virtual]`

| ガードバンド上の取得 Returns: ガードバンド上 Definition at line 732 of file GraphicsDeviceCapacity.h. Referenced by toString().

GraphicsDeviceCapacity* Lamp::GraphicsDeviceCapacity::getInstance | ( |  | ) | `[inline, static]`

| インスタンス取得 Returns: インスタンス Definition at line 44 of file GraphicsDeviceCapacity.h. References Assert, and NULL.

virtual u_int Lamp::GraphicsDeviceCapacity::getMasterAdapterOrdinal | ( |  | ) | const`[inline, virtual]`

| マスターアダプタ番号の取得 Returns: マスターアダプタ番号 Definition at line 419 of file GraphicsDeviceCapacity.h. References u_int. Referenced by toString().

virtual u_int Lamp::GraphicsDeviceCapacity::getMaxActiveLights | ( |  | ) | const`[inline, virtual]`

| 最大ライト数の取得 Returns: 最大ライト数 Definition at line 698 of file GraphicsDeviceCapacity.h. References u_int. Referenced by toString().

virtual u_int Lamp::GraphicsDeviceCapacity::getMaxAnisotropy | ( |  | ) | const`[inline, virtual]`

| 最大異方性フィルタ値の取得 Returns: 最大異方性フィルタ値 Definition at line 1012 of file GraphicsDeviceCapacity.h. References u_int. Referenced by toString().

virtual float Lamp::GraphicsDeviceCapacity::getMaxNPatchTesselationLevel | ( |  | ) | const`[inline, virtual]`

| Nパッチ最大分割レベルの取得. Returns: Nパッチ最大分割レベル Definition at line 896 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual u_int Lamp::GraphicsDeviceCapacity::getMaxPixelShader30InstructionSlots | ( |  | ) | const`[inline, virtual]`

| 最大命令スロット数の取得 Returns: 最大命令スロット数 Definition at line 2488 of file GraphicsDeviceCapacity.h. References u_int. Referenced by toString().

virtual float Lamp::GraphicsDeviceCapacity::getMaxPointSize | ( |  | ) | const`[inline, virtual]`

| 最大点サイズの取得 Returns: 最大点サイズ Definition at line 635 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual u_int Lamp::GraphicsDeviceCapacity::getMaxPrimitiveCount | ( |  | ) | const`[inline, virtual]`

| 最大プリミティブ数の取得 Returns: 最大プリミティブ数 Definition at line 680 of file GraphicsDeviceCapacity.h. References u_int. Referenced by toString().

virtual u_int Lamp::GraphicsDeviceCapacity::getMaxPShaderInstructionsExecuted | ( |  | ) | const`[inline, virtual]`

| 最大命令実行数数の取得 Returns: 最大命令実行数 Definition at line 2480 of file GraphicsDeviceCapacity.h. References u_int. Referenced by toString().

virtual u_int Lamp::GraphicsDeviceCapacity::getMaxSimultaneousTextures | ( |  | ) | const`[inline, virtual]`

| 最大マルチテクスチャ数の取得 Returns: 最大マルチテクスチャ数 Definition at line 1642 of file GraphicsDeviceCapacity.h. References u_int. Referenced by toString().

virtual u_int Lamp::GraphicsDeviceCapacity::getMaxStreams | ( |  | ) | const`[inline, virtual]`

| 最大ストリーム数の取得 Returns: 最大ストリーム数 Definition at line 692 of file GraphicsDeviceCapacity.h. References u_int. Referenced by toString().

virtual u_int Lamp::GraphicsDeviceCapacity::getMaxStreamStride | ( |  | ) | const`[inline, virtual]`

| 最大ストリームストライド数の取得 Returns: 最大ストリームストライド数 Definition at line 2399 of file GraphicsDeviceCapacity.h. References u_int. Referenced by toString().

virtual u_int Lamp::GraphicsDeviceCapacity::getMaxTextureAspectRaito | ( |  | ) | const`[inline, virtual]`

| 最大テクスチャアスペクト比の取得 Returns: 最大テクスチャアスペクト比 Definition at line 1018 of file GraphicsDeviceCapacity.h. References u_int. Referenced by toString().

virtual u_int Lamp::GraphicsDeviceCapacity::getMaxTextureBlendStages | ( |  | ) | const`[inline, virtual]`

| 最大テクスチャステージ数の取得 Returns: 最大テクスチャステージ数 Definition at line 1634 of file GraphicsDeviceCapacity.h. References u_int. Referenced by Lamp::Renderer::buildRendererStateBlock(), and toString().

virtual u_int Lamp::GraphicsDeviceCapacity::getMaxTextureRepeat | ( |  | ) | const`[inline, virtual]`

| 最大テクスチャリピート数の取得 Returns: 最大テクスチャリピート数 Definition at line 1006 of file GraphicsDeviceCapacity.h. References u_int. Referenced by toString().

virtual const DimensionI& Lamp::GraphicsDeviceCapacity::getMaxTextureSize | ( |  | ) | const`[inline, virtual]`

| 最大テクスチャサイズの取得 Returns: 最大テクスチャサイズ Definition at line 992 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual u_int Lamp::GraphicsDeviceCapacity::getMaxUserCliplanes | ( |  | ) | const`[inline, virtual]`

| 最大ユーザクリップ面の取得 Returns: 最大ユーザクリップ面 Definition at line 750 of file GraphicsDeviceCapacity.h. References u_int. Referenced by toString().

virtual u_int Lamp::GraphicsDeviceCapacity::getMaxVertexBlendMatrices | ( |  | ) | const`[inline, virtual]`

| 最大ブレンド行列数の取得 Returns: 最大ブレンド行列数 Definition at line 710 of file GraphicsDeviceCapacity.h. References u_int. Referenced by toString().

virtual u_int Lamp::GraphicsDeviceCapacity::getMaxVertexBlendMatrixIndex | ( |  | ) | const`[inline, virtual]`

| 最大ブレンド行列インデックス数の取得 Returns: 最大ブレンド行列インデックス数 Definition at line 718 of file GraphicsDeviceCapacity.h. References u_int. Referenced by toString().

virtual u_int Lamp::GraphicsDeviceCapacity::getMaxVertexIndex | ( |  | ) | const`[inline, virtual]`

| 最大インデックス数の取得 Returns: 最大インデックス数 Definition at line 686 of file GraphicsDeviceCapacity.h. References u_int. Referenced by toString().

virtual u_int Lamp::GraphicsDeviceCapacity::getMaxVertexShader30InstructionSlots | ( |  | ) | const`[inline, virtual]`

| 最大命令スロット数の取得 Returns: 最大命令スロット数 Definition at line 2413 of file GraphicsDeviceCapacity.h. References u_int. Referenced by toString().

virtual u_int Lamp::GraphicsDeviceCapacity::getMaxVertexShaderConst | ( |  | ) | const`[inline, virtual]`

| 最大頂点シェーダ定数の取得 Returns: 最大頂点シェーダ定数 Definition at line 2391 of file GraphicsDeviceCapacity.h. References u_int. Referenced by toString().

virtual float Lamp::GraphicsDeviceCapacity::getMaxVertexW | ( |  | ) | const`[inline, virtual]`

| 最大W値の取得 Returns: 最大W値 Definition at line 704 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual u_int Lamp::GraphicsDeviceCapacity::getMaxVolumeExtent | ( |  | ) | const`[inline, virtual]`

| 最大ボリュームテクスチャ辺の取得 Returns: 最大ボリュームテクスチャ辺 Definition at line 1000 of file GraphicsDeviceCapacity.h. References u_int. Referenced by toString().

virtual u_int Lamp::GraphicsDeviceCapacity::getMaxVShaderInstructionsExecuted | ( |  | ) | const`[inline, virtual]`

| 最大命令実行数数の取得 Returns: 最大命令実行数 Definition at line 2405 of file GraphicsDeviceCapacity.h. References u_int. Referenced by toString().

virtual u_int Lamp::GraphicsDeviceCapacity::getMultiSampleQuality | ( |  | ) | const`[inline, virtual]`

| マルチサンプルクォリティの取得 Returns: マルチサンプルクォリティ Definition at line 169 of file GraphicsDeviceCapacity.h. References u_int. Referenced by toString().

virtual D3DMULTISAMPLE_TYPE Lamp::GraphicsDeviceCapacity::getMultiSampleType | ( |  | ) | const`[inline, virtual]`

| マルチサンプルタイプの取得 Returns: マルチサンプルタイプ Definition at line 161 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual u_int Lamp::GraphicsDeviceCapacity::getNumberOfAdaptersInGroup | ( |  | ) | const`[inline, virtual]`

| グループのアダプタ数の取得 Returns: グループのアダプタ数 Definition at line 435 of file GraphicsDeviceCapacity.h. References u_int. Referenced by toString().

virtual u_int Lamp::GraphicsDeviceCapacity::getNumSimultaneousRTs | ( |  | ) | const`[inline, virtual]`

| マルチレンダーターゲット数の取得 Returns: マルチレンダーターゲット数 Definition at line 178 of file GraphicsDeviceCapacity.h. References u_int. Referenced by toString().

virtual float Lamp::GraphicsDeviceCapacity::getPixelShader1xMaxValue | ( |  | ) | const`[inline, virtual]`

| ピクセルシェーダ1x最大値の取得 Returns: ピクセルシェーダ1x最大値 Definition at line 2472 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual u_int Lamp::GraphicsDeviceCapacity::getPixelShaderDynamicFlowControlDepth | ( |  | ) | const`[inline, virtual]`

| 動的フローネストレベルの取得 Returns: 動的フローネストレベル Definition at line 2496 of file GraphicsDeviceCapacity.h. References u_int. Referenced by toString().

virtual u_int Lamp::GraphicsDeviceCapacity::getPixelShaderMajorVersion | ( |  | ) | const`[inline, virtual]`

| ピクセルシェーダメジャーバージョンの取得 Returns: ピクセルシェーダメジャーバージョン Definition at line 2456 of file GraphicsDeviceCapacity.h. References u_int. Referenced by toString().

virtual u_int Lamp::GraphicsDeviceCapacity::getPixelShaderMinorVersion | ( |  | ) | const`[inline, virtual]`

| ピクセルシェーダマイナーバージョンの取得 Returns: ピクセルシェーダマイナーバージョン Definition at line 2464 of file GraphicsDeviceCapacity.h. References u_int. Referenced by toString().

virtual u_int Lamp::GraphicsDeviceCapacity::getPixelShaderNumInstructionSlots | ( |  | ) | const`[inline, virtual]`

| 命令スロット数の取得 Returns: 命令スロット数 Definition at line 2520 of file GraphicsDeviceCapacity.h. References u_int. Referenced by toString().

virtual u_int Lamp::GraphicsDeviceCapacity::getPixelShaderNumTemps | ( |  | ) | const`[inline, virtual]`

| テンポラリ数の取得 Returns: テンポラリ数 Definition at line 2504 of file GraphicsDeviceCapacity.h. References u_int. Referenced by toString().

virtual u_int Lamp::GraphicsDeviceCapacity::getPixelShaderStaticFlowControlDepth | ( |  | ) | const`[inline, virtual]`

| 静的フローネストレベルの取得 Returns: 静的フローネストレベル Definition at line 2512 of file GraphicsDeviceCapacity.h. References u_int. Referenced by toString().

virtual int Lamp::GraphicsDeviceCapacity::getPresentationInterval | ( |  | ) | const`[inline, virtual]`

| プレゼンテーション間隔の取得 Returns: プレゼンテーション間隔 Definition at line 155 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual int Lamp::GraphicsDeviceCapacity::getRefreshRate | ( |  | ) | const`[inline, virtual]`

| リフレッシュレートの取得 Returns: リフレッシュレート Definition at line 135 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual VertexProcessingType Lamp::GraphicsDeviceCapacity::getVertexProcessingType | ( |  | ) | const`[inline, virtual]`

| 頂点プロセスタイプの取得 Returns: 頂点プロセスタイプ Definition at line 99 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual u_int Lamp::GraphicsDeviceCapacity::getVertexShaderDynamicFlowControlDepth | ( |  | ) | const`[inline, virtual]`

| 動的フローネストレベルの取得 Returns: 動的フローネストレベル Definition at line 2421 of file GraphicsDeviceCapacity.h. References u_int. Referenced by toString().

virtual u_int Lamp::GraphicsDeviceCapacity::getVertexShaderMajorVersion | ( |  | ) | const`[inline, virtual]`

| 頂点シェーダメジャーバージョンの取得 Returns: 頂点シェーダメジャーバージョン Definition at line 2375 of file GraphicsDeviceCapacity.h. References u_int. Referenced by toString().

virtual u_int Lamp::GraphicsDeviceCapacity::getVertexShaderMinorVersion | ( |  | ) | const`[inline, virtual]`

| 頂点シェーダマイナーバージョンの取得 Returns: 頂点シェーダマイナーバージョン Definition at line 2383 of file GraphicsDeviceCapacity.h. References u_int. Referenced by toString().

virtual u_int Lamp::GraphicsDeviceCapacity::getVertexShaderNumTemps | ( |  | ) | const`[inline, virtual]`

| テンポラリ数の取得 Returns: テンポラリ数 Definition at line 2429 of file GraphicsDeviceCapacity.h. References u_int. Referenced by toString().

virtual u_int Lamp::GraphicsDeviceCapacity::getVertexShaderStaticFlowControlDepth | ( |  | ) | const`[inline, virtual]`

| 静的フローネストレベルの取得 Returns: 静的フローネストレベル Definition at line 2437 of file GraphicsDeviceCapacity.h. References u_int. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::isWindowed | ( |  | ) | const`[inline, virtual]`

| ウィンドウモードの取得 Returns: ウィンドウモードならtrue Definition at line 93 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedAdaptiveTessNPatch | ( |  | ) | const`[inline, virtual]`

| 適応型Nパッチはサポートされているか Returns: 適応型Nパッチがサポートされているならtrue Definition at line 924 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedAdaptiveTessRTPatch | ( |  | ) | const`[inline, virtual]`

| 適応型RTパッチ はサポートされているか Returns: 適応型RTパッチがサポートされているならtrue Definition at line 916 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedAlphaCompareAlways | ( |  | ) | const`[inline, virtual]`

| アルファ比較Alwaysはサポートされているか Returns: アルファ比較Alwaysがサポートされているならtrue Definition at line 2023 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedAlphaCompareEqual | ( |  | ) | const`[inline, virtual]`

| アルファ比較Equalはサポートされているか Returns: アルファ比較Equalがサポートされているならtrue Definition at line 1983 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedAlphaCompareGreater | ( |  | ) | const`[inline, virtual]`

| アルファ比較Greaterはサポートされているか Returns: アルファ比較Greaterがサポートされているならtrue Definition at line 1999 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedAlphaCompareGreaterEqual | ( |  | ) | const`[inline, virtual]`

| アルファ比較GreaterEqualはサポートされているか Returns: アルファ比較GreaterEqualがサポートされているならtrue Definition at line 2015 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedAlphaCompareLess | ( |  | ) | const`[inline, virtual]`

| アルファ比較Lessはサポートされているか Returns: アルファ比較Lessがサポートされているならtrue Definition at line 1977 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedAlphaCompareLessEqual | ( |  | ) | const`[inline, virtual]`

| アルファ比較LessEqualはサポートされているか Returns: アルファ比較LessEqualがサポートされているならtrue Definition at line 1991 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedAlphaCompareNever | ( |  | ) | const`[inline, virtual]`

| アルファ比較Neverはサポートされているか Returns: アルファ比較Neverがサポートされているならtrue Definition at line 1969 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedAlphaCompareNotEqual | ( |  | ) | const`[inline, virtual]`

| アルファ比較NotEqualはサポートされているか Returns: がアルファ比較NotEqualサポートされているならtrue Definition at line 2007 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedAlphaFullscreenFlipOrDiscard | ( |  | ) | const`[inline, virtual]`

| フルスクリーンアルファブレンドはサポートされているか Returns: フルスクリーンアルファブレンドがサポートされているならtrue Definition at line 600 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedBlendDestinationBlendFactor | ( |  | ) | const`[inline, virtual]`

| デスティネーションBlendFactorはサポートされているか Returns: デスティネーションBlendFactorがサポートされているならtrue Definition at line 2247 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedBlendDestinationBothInvSrcAlpha | ( |  | ) | const`[inline, virtual]`

| デスティネーションBothInvSrcAlphaはサポートされているか Returns: デスティネーションBothInvSrcAlphaがサポートされているならtrue Definition at line 2239 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedBlendDestinationBothSrcAlpha | ( |  | ) | const`[inline, virtual]`

| デスティネーションBothSrcAlphaはサポートされているか Returns: デスティネーションBothSrcAlphaがサポートされているならtrue Definition at line 2231 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedBlendDestinationDestAlpha | ( |  | ) | const`[inline, virtual]`

| デスティネーションDestAlphaはサポートされているか Returns: デスティネーションDestAlphaがサポートされているならtrue Definition at line 2191 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedBlendDestinationDestColor | ( |  | ) | const`[inline, virtual]`

| デスティネーションDestColorはサポートされているか Returns: デスティネーションDestColorがサポートされているならtrue Definition at line 2207 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedBlendDestinationInvDestAlpha | ( |  | ) | const`[inline, virtual]`

| デスティネーションInvDestAlphaはサポートされているか Returns: デスティネーションInvDestAlphaがサポートされているならtrue Definition at line 2199 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedBlendDestinationInvDestColor | ( |  | ) | const`[inline, virtual]`

| デスティネーションInvDestColorはサポートされているか Returns: デスティネーションInvDestColorがサポートされているならtrue Definition at line 2215 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedBlendDestinationInvSrcAlpha | ( |  | ) | const`[inline, virtual]`

| デスティネーションInvSrcAlphaはサポートされているか Returns: デスティネーションInvSrcAlphaがサポートされているならtrue Definition at line 2183 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedBlendDestinationInvSrcColor | ( |  | ) | const`[inline, virtual]`

| デスティネーションInvSrcColorはサポートされているか Returns: デスティネーションInvSrcColorがサポートされているならtrue Definition at line 2167 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedBlendDestinationOne | ( |  | ) | const`[inline, virtual]`

| デスティネーションOneはサポートされているか Returns: デスティネーションOneがサポートされているならtrue Definition at line 2151 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedBlendDestinationSrcAlpha | ( |  | ) | const`[inline, virtual]`

| デスティネーションSrcAlphaはサポートされているか Returns: デスティネーションSrcAlphaがサポートされているならtrue Definition at line 2175 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedBlendDestinationSrcAlphaSat | ( |  | ) | const`[inline, virtual]`

| デスティネーションSrcAlphaSatはサポートされているか Returns: デスティネーションSrcAlphaSatがサポートされているならtrue Definition at line 2223 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedBlendDestinationSrcColor | ( |  | ) | const`[inline, virtual]`

| デスティネーションSrcColorはサポートされているか Returns: デスティネーションSrcColorがサポートされているならtrue Definition at line 2159 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedBlendDestinationZero | ( |  | ) | const`[inline, virtual]`

| デスティネーションZeroはサポートされているか Returns: デスティネーションZeroがサポートされているならtrue Definition at line 2143 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedBlendOp | ( |  | ) | const`[inline, virtual]`

| アルファブレンディングはサポートされているか Returns: アルファブレンディングがサポートされているならtrue Definition at line 493 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedBlendSourceBlendFactor | ( |  | ) | const`[inline, virtual]`

| ソースBlendFactorはサポートされているか Returns: ソースBlendFactorがサポートされているならtrue Definition at line 2134 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedBlendSourceBothInvSrcAlpha | ( |  | ) | const`[inline, virtual]`

| ソースBothInvSrcAlphaはサポートされているか Returns: ソースBothInvSrcAlphaがサポートされているならtrue Definition at line 2126 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedBlendSourceBothSrcAlpha | ( |  | ) | const`[inline, virtual]`

| ソースBothSrcAlphaはサポートされているか Returns: ソースBothSrcAlphaがサポートされているならtrue Definition at line 2118 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedBlendSourceDestAlpha | ( |  | ) | const`[inline, virtual]`

| ソースDestAlphaはサポートされているか Returns: ソースDestAlphaがサポートされているならtrue Definition at line 2078 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedBlendSourceDestColor | ( |  | ) | const`[inline, virtual]`

| ソースDestColorはサポートされているか Returns: ソースDestColorがサポートされているならtrue Definition at line 2094 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedBlendSourceInvDestAlpha | ( |  | ) | const`[inline, virtual]`

| ソースInvDestAlphaはサポートされているか Returns: ソースInvDestAlphaがサポートされているならtrue Definition at line 2086 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedBlendSourceInvDestColor | ( |  | ) | const`[inline, virtual]`

| ソースInvDestColorはサポートされているか Returns: ソースInvDestColorがサポートされているならtrue Definition at line 2102 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedBlendSourceInvSrcAlpha | ( |  | ) | const`[inline, virtual]`

| ソースInvSrcAlphaはサポートされているか Returns: ソースInvSrcAlphaがサポートされているならtrue Definition at line 2070 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedBlendSourceInvSrcColor | ( |  | ) | const`[inline, virtual]`

| ソースInvSrcColorはサポートされているか Returns: ソースInvSrcColorがサポートされているならtrue Definition at line 2054 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedBlendSourceOne | ( |  | ) | const`[inline, virtual]`

| ソースOneはサポートされているか Returns: ソースOneがサポートされているならtrue Definition at line 2040 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedBlendSourceSrcAlpha | ( |  | ) | const`[inline, virtual]`

| ソースSrcAlphaはサポートされているか Returns: ソースSrcAlphaがサポートされているならtrue Definition at line 2062 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedBlendSourceSrcAlphaSat | ( |  | ) | const`[inline, virtual]`

| ソースSrcAlphaSatはサポートされているか Returns: ソースSrcAlphaSatがサポートされているならtrue Definition at line 2110 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedBlendSourceSrcColor | ( |  | ) | const`[inline, virtual]`

| ソースSrcColorはサポートされているか Returns: ソースSrcColorがサポートされているならtrue Definition at line 2046 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedBlendSourceZero | ( |  | ) | const`[inline, virtual]`

| ソースZeroはサポートされているか Returns: ソースZeroがサポートされているならtrue Definition at line 2034 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedCanAutogenMipmap | ( |  | ) | const`[inline, virtual]`

| ミップマップ自動生成はサポートされているか Returns: ミップマップ自動生成がサポートされているならtrue Definition at line 594 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedCanBltSystemToNonLocal | ( |  | ) | const`[inline, virtual]`

| システムからビデオへのBLTはサポートされているか Returns: システムからビデオへのBLTがサポートされているならtrue Definition at line 286 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedCanCalibrateGamma | ( |  | ) | const`[inline, virtual]`

| キャリブレートガンマはサポートされているか Returns: キャリブレートガンマがサポートされているならtrue Definition at line 572 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedCanManageResource | ( |  | ) | const`[inline, virtual]`

| マネージドリソースはサポートされているか Returns: マネージドリソースがサポートされているならtrue Definition at line 580 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedCanRenderAfterFlip | ( |  | ) | const`[inline, virtual]`

| フリップ後のレンダリングはサポートされているか Returns: フリップ後のレンダリングがサポートされているならtrue Definition at line 240 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedCanStretchRectFromTextures | ( |  | ) | const`[inline, virtual]`

| テクスチャからのStretchRectはサポートされているか Returns: テクスチャからのStretchRectがサポートされているならtrue Definition at line 932 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedClipPlaneScaledPoints | ( |  | ) | const`[inline, virtual]`

| 正確なポイントクリップはサポートされているか Returns: 正確なポイントクリップがサポートされているならtrue Definition at line 473 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedClipTlVerts | ( |  | ) | const`[inline, virtual]`

| 頂点クリップはサポートされているか Returns: 頂点クリップがサポートされているならtrue Definition at line 481 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedColorWriteEnable | ( |  | ) | const`[inline, virtual]`

| カラーチャンネル書き込みはサポートされているか Returns: カラーチャンネル書き込みがサポートされているならtrue Definition at line 467 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedCopyToSystemMemory | ( |  | ) | const`[inline, virtual]`

| システムメモリへのコピーはサポートされているか Returns: システムメモリへのコピーがサポートされているならtrue Definition at line 624 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedCopyToVideoMemory | ( |  | ) | const`[inline, virtual]`

| ビデオメモリへのコピーはサポートされているか Returns: ビデオメモリへのコピーがサポートされているならtrue Definition at line 616 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedCubeTextureFilterMagAnisotropic | ( |  | ) | const`[inline, virtual]`

| キューブ拡大異方性はサポートされているか Returns: キューブ拡大異方性がサポートされているならtrue Definition at line 1397 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedCubeTextureFilterMagGaussianQuad | ( |  | ) | const`[inline, virtual]`

| キューブ拡大2次ガウスはサポートされているか Returns: キューブ拡大2次ガウスがサポートされているならtrue Definition at line 1413 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedCubeTextureFilterMagLiner | ( |  | ) | const`[inline, virtual]`

| キューブ拡大線形はサポートされているか Returns: キューブ拡大線形がサポートされているならtrue Definition at line 1389 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedCubeTextureFilterMagPoint | ( |  | ) | const`[inline, virtual]`

| キューブ拡大ポイントはサポートされているか Returns: キューブ拡大ポイントがサポートされているならtrue Definition at line 1381 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedCubeTextureFilterMagPyramidalQuad | ( |  | ) | const`[inline, virtual]`

| キューブ拡大ピラミッドはサポートされているか Returns: キューブ拡大ピラミッドがサポートされているならtrue Definition at line 1405 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedCubeTextureFilterMinAnisotropic | ( |  | ) | const`[inline, virtual]`

| キューブ縮小異方性はサポートされているか Returns: キューブ縮小異方性がサポートされているならtrue Definition at line 1357 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedCubeTextureFilterMinGaussianQuad | ( |  | ) | const`[inline, virtual]`

| キューブ縮小2次ガウスはサポートされているか Returns: キューブ縮小2次ガウスがサポートされているならtrue Definition at line 1373 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedCubeTextureFilterMinLiner | ( |  | ) | const`[inline, virtual]`

| キューブ縮小線形はサポートされているか Returns: キューブ縮小線形がサポートされているならtrue Definition at line 1349 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedCubeTextureFilterMinPoint | ( |  | ) | const`[inline, virtual]`

| キューブ縮小ポイントはサポートされているか Returns: キューブ縮小ポイントがサポートされているならtrue Definition at line 1341 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedCubeTextureFilterMinPyramidalQuad | ( |  | ) | const`[inline, virtual]`

| キューブ縮小ピラミッドはサポートされているか Returns: キューブ縮小ピラミッドがサポートされているならtrue Definition at line 1365 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedCubeTextureFilterMipmapLiner | ( |  | ) | const`[inline, virtual]`

| キューブミップマップ線形はサポートされているか Returns: キューブミップマップ線形がサポートされているならtrue Definition at line 1429 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedCubeTextureFilterMipmapPoint | ( |  | ) | const`[inline, virtual]`

| キューブミップマップポイントはサポートされているか Returns: キューブミップマップポイントがサポートされているならtrue Definition at line 1421 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedCullCCW | ( |  | ) | const`[inline, virtual]`

| 反時計回りカリングはサポートされているか Returns: 反時計回りカリングがサポートされているならtrue Definition at line 461 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedCullCW | ( |  | ) | const`[inline, virtual]`

| 時計回りカリングはサポートされているか Returns: 時計回りカリングがサポートされているならtrue Definition at line 455 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedCullNone | ( |  | ) | const`[inline, virtual]`

| カリング無しはサポートされているか Returns: カリング無しがサポートされているならtrue Definition at line 449 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedCursorColor | ( |  | ) | const`[inline, virtual]`

| ハードウェアカーソルはサポートされているか Returns: ハードウェアカーソルがサポートされているならtrue Definition at line 372 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedCursorLowRes | ( |  | ) | const`[inline, virtual]`

| 低解像度ハードウェアカーソルはサポートされているか Returns: 低解像度ハードウェアカーソルがサポートされているならtrue Definition at line 378 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedDeclDec3 | ( |  | ) | const`[inline, virtual]`

| dec3宣言はサポートされているか Returns: dec3宣言がサポートされているならtrue Definition at line 875 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedDeclFloat16_2 | ( |  | ) | const`[inline, virtual]`

| float16_2宣言はサポートされているか Returns: float16_2宣言がサポートされているならtrue Definition at line 881 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedDeclFloat16_4 | ( |  | ) | const`[inline, virtual]`

| float16_4宣言はサポートされているか Returns: float16_4宣言がサポートされているならtrue Definition at line 887 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedDeclShort2N | ( |  | ) | const`[inline, virtual]`

| short2N宣言はサポートされているか Returns: short2N宣言がサポートされているならtrue Definition at line 845 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedDeclShort4N | ( |  | ) | const`[inline, virtual]`

| short4N宣言はサポートされているか Returns: short4N宣言がサポートされているならtrue Definition at line 851 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedDeclUByte4 | ( |  | ) | const`[inline, virtual]`

| u_byte4宣言はサポートされているか Returns: u_byte4宣言がサポートされているならtrue Definition at line 833 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedDeclUByte4N | ( |  | ) | const`[inline, virtual]`

| u_byte4N宣言はサポートされているか Returns: u_byte4N宣言がサポートされているならtrue Definition at line 839 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedDeclUDec3 | ( |  | ) | const`[inline, virtual]`

| uDec3宣言はサポートされているか Returns: uDec3宣言がサポートされているならtrue Definition at line 869 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedDeclUShort2N | ( |  | ) | const`[inline, virtual]`

| u_short2N宣言はサポートされているか Returns: u_short2N宣言がサポートされているならtrue Definition at line 857 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedDeclUShort4N | ( |  | ) | const`[inline, virtual]`

| u_short4N宣言はサポートされているか Returns: u_short4N宣言がサポートされているならtrue Definition at line 863 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedDirectionalLights | ( |  | ) | const`[inline, virtual]`

| ディレクショナルライトはサポートされているか Returns: ディレクショナルライトがサポートされているならtrue Definition at line 768 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedDmapNPatch | ( |  | ) | const`[inline, virtual]`

| ディスプレースメントNパッチはサポートされているか Returns: ディスプレースメントNパッチがサポートされているならtrue Definition at line 910 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedDrawPrimitives2 | ( |  | ) | const`[inline, virtual]`

| DrawPrivitives2はサポートされているか. Returns: DrawPrivitives2がサポートされているならtrue Definition at line 256 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedDrawPrimitives2EX | ( |  | ) | const`[inline, virtual]`

| DrawPrimitives2EXはサポートされているか. Returns: DrawPrimitives2EXがサポートされているならtrue Definition at line 270 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedDrawPrimTlVertex | ( |  | ) | const`[inline, virtual]`

| TL頂点の描画はサポートされているか. Returns: TL頂点の描画がサポートされているならtrue Definition at line 232 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedDynamicTextures | ( |  | ) | const`[inline, virtual]`

| 動的テクスチャはサポートされているか Returns: 動的テクスチャがサポートされているならtrue Definition at line 588 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedExecuteSystemMemory | ( |  | ) | const`[inline, virtual]`

| システムメモリで実行はサポートされているか Returns: システムメモリで実行がサポートされているならtrue Definition at line 184 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedExecuteVideoMemory | ( |  | ) | const`[inline, virtual]`

| ビデオメモリで実行はサポートされているか Returns: ビデオメモリで実行がサポートされているならtrue Definition at line 192 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedFogAndSpecularAlpha | ( |  | ) | const`[inline, virtual]`

| フォグとスペキュラアルファはサポートされているか Returns: フォグとスペキュラアルファがサポートされているならtrue Definition at line 519 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedFogVertexClamped | ( |  | ) | const`[inline, virtual]`

| 頂点フォグのクランプはサポートされているか Returns: 頂点フォグのクランプがサポートされているならtrue Definition at line 551 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedFullscreenGamma | ( |  | ) | const`[inline, virtual]`

| フルスクリーンガンマはサポートされているか Returns: フルスクリーンガンマがサポートされているならtrue Definition at line 566 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedFvfDoNotStripElements | ( |  | ) | const`[inline, virtual]`

| FVF頂点に余分な要素を含められるはサポートされているか. Returns: FVF頂点に余分な要素を含められるがサポートされているならtrue Definition at line 819 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedFvfPSize | ( |  | ) | const`[inline, virtual]`

| FVF頂点サイズはサポートされているか. Returns: FVF頂点サイズがサポートされているならtrue Definition at line 827 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedFvfTexCoordCountMask | ( |  | ) | const`[inline, virtual]`

| FVFテクスチャ座標カウントマスクはサポートされているか. Returns: FVFテクスチャ座標カウントマスクがサポートされているならtrue Definition at line 811 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedHwRasterization | ( |  | ) | const`[inline, virtual]`

| ハードウェアラスタライズはサポートされているか Returns: ハードウェアラスタライズがサポートされているならtrue Definition at line 294 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedHwTransformAndLight | ( |  | ) | const`[inline, virtual]`

| ハードウェアT&Lはサポートされているか Returns: ハードウェアT&Lがサポートされているならtrue Definition at line 278 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedIndependentWriteMasks | ( |  | ) | const`[inline, virtual]`

| 独立した書き込みマスクはサポートされているか Returns: 独立した書き込みマスクがサポートされているならtrue Definition at line 505 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedLineAlphaCompare | ( |  | ) | const`[inline, virtual]`

| ラインアルファ比較はサポートされているか Returns: ラインアルファ比較がサポートされているならtrue Definition at line 665 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedLineAntialias | ( |  | ) | const`[inline, virtual]`

| ラインアンチエイリアスはサポートされているか Returns: ラインアンチエイリアスがサポートされているならtrue Definition at line 671 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedLineBlend | ( |  | ) | const`[inline, virtual]`

| ラインブレンドはサポートされているか Returns: ラインブレンドがサポートされているならtrue Definition at line 653 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedLineFog | ( |  | ) | const`[inline, virtual]`

| ラインフォグはサポートされているか Returns: ラインフォグがサポートされているならtrue Definition at line 659 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedLinerToSrgbPresentation | ( |  | ) | const`[inline, virtual]`

| sRGBプレゼンテーションはサポートされているか Returns: sRGBプレゼンテーションがサポートされているならtrue Definition at line 608 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedLineTexture | ( |  | ) | const`[inline, virtual]`

| ラインテクスチャはサポートされているか Returns: ラインテクスチャがサポートされているならtrue Definition at line 641 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedLineZTest | ( |  | ) | const`[inline, virtual]`

| ラインZテストはサポートされているか Returns: ラインZテストがサポートされているならtrue Definition at line 647 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedLocalViewer | ( |  | ) | const`[inline, virtual]`

| ローカルビューワはサポートされているか Returns: ローカルビューワがサポートされているならtrue Definition at line 782 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedMaskZ | ( |  | ) | const`[inline, virtual]`

| Zマスクはサポートされているか. Returns: Zマスクがサポートされているならtrue Definition at line 443 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedMaterialSource | ( |  | ) | const`[inline, virtual]`

| カラーマテリアルソースはサポートされているか Returns: カラーマテリアルソースがサポートされているならtrue Definition at line 762 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedMrtIndependentBitDepth | ( |  | ) | const`[inline, virtual]`

| MRTに違うZ深度はサポートされているか. Returns: MRTに違うZ深度がサポートされているならtrue Definition at line 535 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedMrtPostPixelShaderBlending | ( |  | ) | const`[inline, virtual]`

| MRTにピクセルシェーダ後処理はサポートされているか. Returns: MRTにピクセルシェーダ後処理がサポートされているならtrue Definition at line 543 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedNoTexgenNonLocalViewer | ( |  | ) | const`[inline, virtual]`

| ローカルビューワ外はTexgen不可はサポートされているか Returns: ローカルビューワ外はTexgen不可がサポートされているならtrue Definition at line 800 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedNPatches | ( |  | ) | const`[inline, virtual]`

| Nパッチはサポートされているか. Returns: Nパッチがサポートされているならtrue Definition at line 326 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedNullReference | ( |  | ) | const`[inline, virtual]`

| ヌルリファレンスはサポートされているか Returns: ヌルリファレンスがサポートされているならtrue Definition at line 499 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedPerStageConstant | ( |  | ) | const`[inline, virtual]`

| テクスチャステージ定数はサポートされているか Returns: テクスチャステージ定数がサポートされているならtrue Definition at line 513 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedPixelShaderArbitrarySwizzle | ( |  | ) | const`[inline, virtual]`

| 任意の入れ替えはサポートされているか Returns: 任意の入れ替えがサポートされているならtrue Definition at line 2528 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedPixelShaderGradientInstructions | ( |  | ) | const`[inline, virtual]`

| グラデーション命令はサポートされているか Returns: グラデーション命令がサポートされているならtrue Definition at line 2536 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedPixelShaderNoDependentReadLimit | ( |  | ) | const`[inline, virtual]`

| 従属読み込み無制限はサポートされているか Returns: 従属読み込み無制限がサポートされているならtrue Definition at line 2552 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedPixelShaderNoTexnstructionLimit | ( |  | ) | const`[inline, virtual]`

| tex命令無制限はサポートされているか Returns: tex命令無制限がサポートされているならtrue Definition at line 2560 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedPixelShaderPredication | ( |  | ) | const`[inline, virtual]`

| プレディケーション命令はサポートされているか Returns: プレディケーション命令がサポートされているならtrue Definition at line 2544 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedPositionalLights | ( |  | ) | const`[inline, virtual]`

| ポジションライトはサポートされているか Returns: ポジションライトがサポートされているならtrue Definition at line 776 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedPreSampledDmapNPatch | ( |  | ) | const`[inline, virtual]`

| プレディスプレースドNパッチはサポートされているか Returns: プレディスプレースドNパッチがサポートされているならtrue Definition at line 940 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedPresentationIntervalFour | ( |  | ) | const`[inline, virtual]`

| プレゼンテーション間隔4垂直同期はサポートされているか Returns: プレゼンテーション間隔4垂直同期がサポートされているならtrue Definition at line 364 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedPresentationIntervalImmediate | ( |  | ) | const`[inline, virtual]`

| プレゼンテーション間隔即時はサポートされているか Returns: プレゼンテーション間隔即時がサポートされているならtrue Definition at line 332 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedPresentationIntervalOne | ( |  | ) | const`[inline, virtual]`

| プレゼンテーション間隔1垂直同期はサポートされているか Returns: プレゼンテーション間隔1垂直同期がサポートされているならtrue Definition at line 340 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedPresentationIntervalThree | ( |  | ) | const`[inline, virtual]`

| プレゼンテーション間隔3垂直同期はサポートされているか Returns: プレゼンテーション間隔3垂直同期がサポートされているならtrue Definition at line 356 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedPresentationIntervalTwo | ( |  | ) | const`[inline, virtual]`

| プレゼンテーション間隔2垂直同期はサポートされているか Returns: プレゼンテーション間隔2垂直同期がサポートされているならtrue Definition at line 348 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedPureDevice | ( |  | ) | const`[inline, virtual]`

| ピュアデバイスはサポートされているか Returns: ピュアデバイスがサポートされているならtrue Definition at line 300 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedQuinticRtPatches | ( |  | ) | const`[inline, virtual]`

| ベジェ、Bスプラインはサポートされているか Returns: ベジェ、Bスプラインがサポートされているならtrue Definition at line 306 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedRasterAnisotropy | ( |  | ) | const`[inline, virtual]`

| 異方性フィルタリングはサポートされているか Returns: 異方性フィルタリングがサポートされているならtrue Definition at line 2310 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedRasterColorPerspective | ( |  | ) | const`[inline, virtual]`

| 色パースペクティブ補正はサポートされているか Returns: 色パースペクティブ補正がサポートされているならtrue Definition at line 2334 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedRasterDepthBias | ( |  | ) | const`[inline, virtual]`

| 深度バイアスはサポートされているか Returns: 深度バイアスがサポートされているならtrue Definition at line 2358 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedRasterDither | ( |  | ) | const`[inline, virtual]`

| ディザはサポートされているか Returns: ディザがサポートされているならtrue Definition at line 2264 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedRasterFogRange | ( |  | ) | const`[inline, virtual]`

| レンジフォグはサポートされているか Returns: レンジフォグがサポートされているならtrue Definition at line 2304 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedRasterFogTable | ( |  | ) | const`[inline, virtual]`

| フォグテーブルはサポートされているか Returns: フォグテーブルがサポートされているならtrue Definition at line 2282 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedRasterFogVertex | ( |  | ) | const`[inline, virtual]`

| 頂点フォグはサポートされているか Returns: 頂点フォグがサポートされているならtrue Definition at line 2276 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedRasterMipmapLODBias | ( |  | ) | const`[inline, virtual]`

| ミップマップバイアスはサポートされているか Returns: ミップマップバイアスがサポートされているならtrue Definition at line 2288 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedRasterMultiSampleToggle | ( |  | ) | const`[inline, virtual]`

| マルチサンプル切り替えはサポートされているか Returns: マルチサンプル切り替えがサポートされているならtrue Definition at line 2364 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedRasterScissorTest | ( |  | ) | const`[inline, virtual]`

| シザーテストはサポートされているか Returns: シザーテストがサポートされているならtrue Definition at line 2342 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedRasterSlopeScaleDepthBias | ( |  | ) | const`[inline, virtual]`

| スロープスケール深度バイアスはサポートされているか Returns: スロープスケール深度バイアスがサポートされているならtrue Definition at line 2350 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedRasterWBuffer | ( |  | ) | const`[inline, virtual]`

| Wバッファはサポートされているか. Returns: Wバッファがサポートされているならtrue Definition at line 2316 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedRasterWFog | ( |  | ) | const`[inline, virtual]`

| Wフォグはサポートされているか. Returns: Wフォグがサポートされているならtrue Definition at line 2322 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedRasterZBufferLessHSR | ( |  | ) | const`[inline, virtual]`

| 隠れ面消去はサポートされているか Returns: 隠れ面消去がサポートされているならtrue Definition at line 2296 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedRasterZFog | ( |  | ) | const`[inline, virtual]`

| Zフォグはサポートされているか. Returns: Zフォグがサポートされているならtrue Definition at line 2328 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedRasterZTest | ( |  | ) | const`[inline, virtual]`

| Zテストはサポートされているか. Returns: Zテストがサポートされているならtrue Definition at line 2270 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedReadScanLine | ( |  | ) | const`[inline, virtual]`

| スキャンラインの読み込みはサポートされているか Returns: スキャンラインの読み込みがサポートされているならtrue Definition at line 560 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedRtPatches | ( |  | ) | const`[inline, virtual]`

| 矩形、三角形パッチはサポートされているか Returns: 矩形、三角形パッチがサポートされているならtrue Definition at line 312 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedRtPatchHanldeZero | ( |  | ) | const`[inline, virtual]`

| 効率的なハンドル0パッチはサポートされているか Returns: 効率的なハンドル0パッチがサポートされているならtrue Definition at line 318 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedSeparateAlphaBlend | ( |  | ) | const`[inline, virtual]`

| アルファ用ブレンドはサポートされているか Returns: アルファ用ブレンドがサポートされているならtrue Definition at line 527 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedSeparateTextureMemories | ( |  | ) | const`[inline, virtual]`

| 独立したテクスチャメモリプールはサポートされているか Returns: 独立したテクスチャメモリプールがサポートされているならtrue Definition at line 262 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedShadeAlphaGouraudBlend | ( |  | ) | const`[inline, virtual]`

| アルファグーロはサポートされているか Returns: アルファグーロがサポートされているならtrue Definition at line 975 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedShadeColorGouraudRGB | ( |  | ) | const`[inline, virtual]`

| カラーグーロはサポートされているか Returns: カラーグーロがサポートされているならtrue Definition at line 959 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedShadeFogGouraud | ( |  | ) | const`[inline, virtual]`

| フォググーロはサポートされているか Returns: フォググーロがサポートされているならtrue Definition at line 983 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedShadeSpecularGouraudRGB | ( |  | ) | const`[inline, virtual]`

| スペキュラグーロはサポートされているか Returns: スペキュラグーロがサポートされているならtrue Definition at line 967 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedStencilDecr | ( |  | ) | const`[inline, virtual]`

| ステンシルDecrはサポートされているか Returns: ステンシルDecrがサポートされているならtrue Definition at line 1956 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedStencilDecrSat | ( |  | ) | const`[inline, virtual]`

| ステンシルDecrSatはサポートされているか Returns: ステンシルDecrSatがサポートされているならtrue Definition at line 1938 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedStencilIncr | ( |  | ) | const`[inline, virtual]`

| ステンシルIncrはサポートされているか Returns: ステンシルIncrがサポートされているならtrue Definition at line 1950 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedStencilIncrSat | ( |  | ) | const`[inline, virtual]`

| ステンシルIncrSatはサポートされているか Returns: ステンシルIncrSatがサポートされているならtrue Definition at line 1932 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedStencilInvert | ( |  | ) | const`[inline, virtual]`

| ステンシルInvertはサポートされているか Returns: ステンシルInvertがサポートされているならtrue Definition at line 1944 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedStencilKeep | ( |  | ) | const`[inline, virtual]`

| ステンシルKeepはサポートされているか Returns: ステンシルKeepがサポートされているならtrue Definition at line 1914 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedStencilReplace | ( |  | ) | const`[inline, virtual]`

| ステンシルReplaceはサポートされているか Returns: ステンシルReplaceがサポートされているならtrue Definition at line 1926 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedStencilTwoSided | ( |  | ) | const`[inline, virtual]`

| ステンシルTwoSidedはサポートされているか Returns: ステンシルTwoSidedがサポートされているならtrue Definition at line 1962 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedStencilZero | ( |  | ) | const`[inline, virtual]`

| ステンシルZeroはサポートされているか Returns: ステンシルZeroがサポートされているならtrue Definition at line 1920 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedStreamOffset | ( |  | ) | const`[inline, virtual]`

| ストリームオフセットはサポートされているか Returns: ストリームオフセットがサポートされているならtrue Definition at line 904 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedStretchRectMagLinear | ( |  | ) | const`[inline, virtual]`

| StretchRectMagLinearフィルタはサポートされているか. Returns: StretchRectMagLinearフィルタがサポートされているならtrue Definition at line 408 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedStretchRectMagPoint | ( |  | ) | const`[inline, virtual]`

| StretchRectMagPointフィルタはサポートされているか. Returns: StretchRectMagPointフィルタがサポートされているならtrue Definition at line 392 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedStretchRectMinLinear | ( |  | ) | const`[inline, virtual]`

| StretchRectMinLinearフィルタはサポートされているか. Returns: StretchRectMinLinearフィルタがサポートされているならtrue Definition at line 400 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedStretchRectMinPoint | ( |  | ) | const`[inline, virtual]`

| StretchRectMinPointフィルタはサポートされているか. Returns: StretchRectMinPointフィルタがサポートされているならtrue Definition at line 384 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual String Lamp::GraphicsDeviceCapacity::supportedString | ( | bool | supported | ) | const`[inline, protected, virtual]`

  | サポート文字列の取得 Parameters:
  supported | サポートフラグ
Returns: 文字列 Definition at line 2587 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedTexGen | ( |  | ) | const`[inline, virtual]`

| Texgenはサポートされているか. Returns: Texgenがサポートされているならtrue Definition at line 756 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedTexgenSpheremap | ( |  | ) | const`[inline, virtual]`

| スフィアマップはサポートされているか Returns: スフィアマップがサポートされているならtrue Definition at line 794 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedTextureAddressBorder | ( |  | ) | const`[inline, virtual]`

| 境界色の設定はサポートされているか Returns: 境界色の設定がサポートされているならtrue Definition at line 1169 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedTextureAddressClamp | ( |  | ) | const`[inline, virtual]`

| UVのクランプはサポートされているか. Returns: UVのクランプがサポートされているならtrue Definition at line 1161 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedTextureAddressIndependentUV | ( |  | ) | const`[inline, virtual]`

| 独立UVモードはサポートされているか Returns: 独立UVモードがサポートされているならtrue Definition at line 1177 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedTextureAddressMirror | ( |  | ) | const`[inline, virtual]`

| ミラーはサポートされているか Returns: ミラーがサポートされているならtrue Definition at line 1153 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedTextureAddressMirrorOnce | ( |  | ) | const`[inline, virtual]`

| 1制限ミラーはサポートされているか Returns: 1制限ミラーがサポートされているならtrue Definition at line 1185 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedTextureAddressWrap | ( |  | ) | const`[inline, virtual]`

| ラップはサポートされているか Returns: ラップがサポートされているならtrue Definition at line 1145 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedTextureAlpha | ( |  | ) | const`[inline, virtual]`

| アルファはサポートされているか Returns: アルファがサポートされているならtrue Definition at line 1040 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedTextureAlphaPalette | ( |  | ) | const`[inline, virtual]`

| アルファパレットはサポートされているか Returns: アルファパレットがサポートされているならtrue Definition at line 1062 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedTextureCubemap | ( |  | ) | const`[inline, virtual]`

| キューブマップはサポートされているか Returns: キューブマップがサポートされているならtrue Definition at line 1084 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedTextureCubemapPow2 | ( |  | ) | const`[inline, virtual]`

| キューブマップ辺は2の累乗のみはサポートされているか Returns: キューブマップ辺は2の累乗のみがサポートされているならtrue Definition at line 1118 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedTextureFilterMagAnisotropic | ( |  | ) | const`[inline, virtual]`

| 拡大異方性はサポートされているか Returns: 拡大異方性がサポートされているならtrue Definition at line 1300 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedTextureFilterMagGaussianQuad | ( |  | ) | const`[inline, virtual]`

| 拡大2次ガウスはサポートされているか Returns: 拡大2次ガウスがサポートされているならtrue Definition at line 1316 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedTextureFilterMagLiner | ( |  | ) | const`[inline, virtual]`

| 拡大線形はサポートされているか Returns: 拡大線形がサポートされているならtrue Definition at line 1292 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedTextureFilterMagPoint | ( |  | ) | const`[inline, virtual]`

| 拡大ポイントはサポートされているか Returns: 拡大ポイントがサポートされているならtrue Definition at line 1284 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedTextureFilterMagPyramidalQuad | ( |  | ) | const`[inline, virtual]`

| 拡大ピラミッドはサポートされているか Returns: 拡大ピラミッドがサポートされているならtrue Definition at line 1308 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedTextureFilterMinAnisotropic | ( |  | ) | const`[inline, virtual]`

| 縮小異方性はサポートされているか Returns: 縮小異方性がサポートされているならtrue Definition at line 1260 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedTextureFilterMinGaussianQuad | ( |  | ) | const`[inline, virtual]`

| 縮小2次ガウスはサポートされているか Returns: 縮小2次ガウスがサポートされているならtrue Definition at line 1276 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedTextureFilterMinLiner | ( |  | ) | const`[inline, virtual]`

| 縮小線形はサポートされているか Returns: 縮小線形がサポートされているならtrue Definition at line 1252 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedTextureFilterMinPoint | ( |  | ) | const`[inline, virtual]`

| 縮小ポイントはサポートされているか Returns: 縮小ポイントがサポートされているならtrue Definition at line 1244 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedTextureFilterMinPyramidalQuad | ( |  | ) | const`[inline, virtual]`

| 縮小ピラミッドはサポートされているか Returns: 縮小ピラミッドがサポートされているならtrue Definition at line 1268 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedTextureFilterMipmapLiner | ( |  | ) | const`[inline, virtual]`

| ミップマップ線形はサポートされているか Returns: ミップマップ線形がサポートされているならtrue Definition at line 1332 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedTextureFilterMipmapPoint | ( |  | ) | const`[inline, virtual]`

| ミップマップポイントはサポートされているか Returns: ミップマップポイントがサポートされているならtrue Definition at line 1324 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedTextureMipmap | ( |  | ) | const`[inline, virtual]`

| ミップマップはサポートされているか Returns: ミップマップがサポートされているならtrue Definition at line 1096 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedTextureMipmapCubemap | ( |  | ) | const`[inline, virtual]`

| キューブミップマップはサポートされているか Returns: キューブミップマップがサポートされているならtrue Definition at line 1102 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedTextureMipmapVolumemap | ( |  | ) | const`[inline, virtual]`

| ボリュームミップマップはサポートされているか Returns: ボリュームミップマップがサポートされているならtrue Definition at line 1110 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedTextureNonLocalVidedMemory | ( |  | ) | const`[inline, virtual]`

| 非ローカルビデオメモリはサポートされているか Returns: 非ローカルビデオメモリがサポートされているならtrue Definition at line 248 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedTextureNonPow2Conditional | ( |  | ) | const`[inline, virtual]`

| 辺は2の累乗で無くてよいはサポートされているか Returns: 辺は2の累乗で無くてよいがサポートされているならtrue Definition at line 1070 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedTextureNoProjectedBumpEnvironment | ( |  | ) | const`[inline, virtual]`

| 射影バンプ環境マップ無しはサポートされているか Returns: 射影バンプ環境マップ無しがサポートされているならtrue Definition at line 1134 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedTextureOperationAdd | ( |  | ) | const`[inline, virtual]`

| Addオペレーションはサポートされているか. Returns: Addオペレーションがサポートされているならtrue Definition at line 1698 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedTextureOperationAddSigned | ( |  | ) | const`[inline, virtual]`

| AddSignedオペレーションはサポートされているか. Returns: AddSignedオペレーションがサポートされているならtrue Definition at line 1706 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedTextureOperationAddSigned2x | ( |  | ) | const`[inline, virtual]`

| AddSigned2xオペレーションはサポートされているか. Returns: AddSigned2xオペレーションがサポートされているならtrue Definition at line 1714 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedTextureOperationAddSmooth | ( |  | ) | const`[inline, virtual]`

| AddSmoothオペレーションはサポートされているか. Returns: AddSmoothオペレーションがサポートされているならtrue Definition at line 1730 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedTextureOperationBlendCurrentAlpha | ( |  | ) | const`[inline, virtual]`

| BlendCurrentAlphaオペレーションはサポートされているか. Returns: BlendCurrentAlphaオペレーションがサポートされているならtrue Definition at line 1770 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedTextureOperationBlendDiffuseAlpha | ( |  | ) | const`[inline, virtual]`

| BlendDiffuseAlphaオペレーションはサポートされているか. Returns: BlendDiffuseAlphaオペレーションがサポートされているならtrue Definition at line 1738 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedTextureOperationBlendFactorAlpha | ( |  | ) | const`[inline, virtual]`

| BlendFactorAlphaオペレーションはサポートされているか. Returns: BlendFactorAlphaオペレーションがサポートされているならtrue Definition at line 1754 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedTextureOperationBlendTextureAlpha | ( |  | ) | const`[inline, virtual]`

| BlendTextureAlphaオペレーションはサポートされているか. Returns: BlendTextureAlphaオペレーションがサポートされているならtrue Definition at line 1746 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedTextureOperationBlendTextureAlphaPM | ( |  | ) | const`[inline, virtual]`

| BlendTextureAlphaPMオペレーションはサポートされているか. Returns: BlendTextureAlphaPMオペレーションがサポートされているならtrue Definition at line 1762 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedTextureOperationBumpEnvMap | ( |  | ) | const`[inline, virtual]`

| BumpEnvMapオペレーションはサポートされているか. Returns: BumpEnvMapオペレーションがサポートされているならtrue Definition at line 1818 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedTextureOperationBumpEnvMapLuminance | ( |  | ) | const`[inline, virtual]`

| BumpEnvMapLuminanceオペレーションはサポートされているか. Returns: BumpEnvMapLuminanceオペレーションがサポートされているならtrue Definition at line 1826 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedTextureOperationDisable | ( |  | ) | const`[inline, virtual]`

| Disableオペレーションはサポートされているか. Returns: Disableオペレーションがサポートされているならtrue Definition at line 1650 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedTextureOperationDotProduct3 | ( |  | ) | const`[inline, virtual]`

| DotProduct3オペレーションはサポートされているか. Returns: DotProduct3オペレーションがサポートされているならtrue Definition at line 1834 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedTextureOperationLerp | ( |  | ) | const`[inline, virtual]`

| Lerpオペレーションはサポートされているか. Returns: Lerpオペレーションがサポートされているならtrue Definition at line 1850 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedTextureOperationModulate | ( |  | ) | const`[inline, virtual]`

| Modulateオペレーションはサポートされているか. Returns: Modulateオペレーションがサポートされているならtrue Definition at line 1674 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedTextureOperationModulate2x | ( |  | ) | const`[inline, virtual]`

| Modulate2xオペレーションはサポートされているか. Returns: Modulate2xオペレーションがサポートされているならtrue Definition at line 1682 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedTextureOperationModulate4x | ( |  | ) | const`[inline, virtual]`

| Modulate4xオペレーションはサポートされているか. Returns: Modulate4xオペレーションがサポートされているならtrue Definition at line 1690 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedTextureOperationModulateAlphaAddColor | ( |  | ) | const`[inline, virtual]`

| ModulateAlphaAddColorオペレーションはサポートされているか. Returns: ModulateAlphaAddColorオペレーションがサポートされているならtrue Definition at line 1786 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedTextureOperationModulateColorAddAlpha | ( |  | ) | const`[inline, virtual]`

| ModulateColorAddAlphaオペレーションはサポートされているか. Returns: ModulateColorAddAlphaオペレーションがサポートされているならtrue Definition at line 1794 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedTextureOperationModulateInvAlphaAddColor | ( |  | ) | const`[inline, virtual]`

| ModulateInvAlphaAddColorオペレーションはサポートされているか. Returns: ModulateInvAlphaAddColorオペレーションがサポートされているならtrue Definition at line 1802 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedTextureOperationModulateInvColorAddAlpha | ( |  | ) | const`[inline, virtual]`

| ModulateInvColorAddAlphaオペレーションはサポートされているか. Returns: ModulateInvColorAddAlphaオペレーションがサポートされているならtrue Definition at line 1810 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedTextureOperationMultiplyAdd | ( |  | ) | const`[inline, virtual]`

| MultiplyAddオペレーションはサポートされているか. Returns: MultiplyAddオペレーションがサポートされているならtrue Definition at line 1842 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedTextureOperationPreModulate | ( |  | ) | const`[inline, virtual]`

| PreModulateオペレーションはサポートされているか. Returns: PreModulateオペレーションがサポートされているならtrue Definition at line 1778 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedTextureOperationSelectArg1 | ( |  | ) | const`[inline, virtual]`

| SelectArg1オペレーションはサポートされているか. Returns: SelectArg1オペレーションがサポートされているならtrue Definition at line 1658 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedTextureOperationSelectArg2 | ( |  | ) | const`[inline, virtual]`

| SelectArg2オペレーションはサポートされているか. Returns: SelectArg2オペレーションがサポートされているならtrue Definition at line 1666 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedTextureOperationSubtract | ( |  | ) | const`[inline, virtual]`

| Subtractオペレーションはサポートされているか. Returns: Subtractオペレーションがサポートされているならtrue Definition at line 1722 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedTexturePerspective | ( |  | ) | const`[inline, virtual]`

| パースペクティブ補正はサポートされているか Returns: パースペクティブ補正がサポートされているならtrue Definition at line 1026 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedTexturePow2 | ( |  | ) | const`[inline, virtual]`

| 辺は2の累乗のみはサポートされているか Returns: 辺は2の累乗のみがサポートされているならtrue Definition at line 1034 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedTextureProjected | ( |  | ) | const`[inline, virtual]`

| 射影はサポートされているか Returns: 射影がサポートされているならtrue Definition at line 1078 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedTextureRepeatNotScaledBySize | ( |  | ) | const`[inline, virtual]`

| リピートスケール無しはサポートされているか Returns: リピートスケール無しがサポートされているならtrue Definition at line 1054 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedTextureSquareOnly | ( |  | ) | const`[inline, virtual]`

| 正方形のみはサポートされているか Returns: 正方形のみがサポートされているならtrue Definition at line 1046 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedTextureSystemMemory | ( |  | ) | const`[inline, virtual]`

| システムメモリ上のテクスチャはサポートされているか Returns: システムメモリ上のテクスチャがサポートされているならtrue Definition at line 216 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedTextureVideoMemory | ( |  | ) | const`[inline, virtual]`

| ビデオメモリ上のテクスチャはサポートされているか Returns: ビデオメモリ上のテクスチャがサポートされているならtrue Definition at line 224 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedTextureVolumemap | ( |  | ) | const`[inline, virtual]`

| ボリュームマップはサポートされているか Returns: ボリュームマップがサポートされているならtrue Definition at line 1090 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedTextureVolumemapPow2 | ( |  | ) | const`[inline, virtual]`

| ボリュームマップ辺は2の累乗のみはサポートされているか Returns: ボリュームマップ辺は2の累乗のみがサポートされているならtrue Definition at line 1126 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedTlVertexSystemMemory | ( |  | ) | const`[inline, virtual]`

| システムメモリ上のTL頂点はサポートされているか Returns: システムメモリ上のTL頂点がサポートされているならtrue Definition at line 200 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedTlVertexVideoMemory | ( |  | ) | const`[inline, virtual]`

| ビデオメモリ上のTL頂点はサポートされているか Returns: ビデオメモリ上のTL頂点がサポートされているならtrue Definition at line 208 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedTssArgTemp | ( |  | ) | const`[inline, virtual]`

| テンポラリテクスチャ引数はサポートされているか Returns: テンポラリテクスチャ引数がサポートされているならtrue Definition at line 487 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedTweening | ( |  | ) | const`[inline, virtual]`

| 頂点トゥイーニングはサポートされているか Returns: 頂点トゥイーニングがサポートされているならtrue Definition at line 788 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedVertexElementsCanShareStreamOffset | ( |  | ) | const`[inline, virtual]`

| ストリームオフセット共有はサポートされているか Returns: ストリームオフセット共有がサポートされているならtrue Definition at line 948 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedVertexShaderPredication | ( |  | ) | const`[inline, virtual]`

| プレディケーション命令はサポートされているか Returns: プレディケーション命令がサポートされているならtrue Definition at line 2445 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedVertexTextureFilterMagAnisotropic | ( |  | ) | const`[inline, virtual]`

| 頂点拡大異方性はサポートされているか Returns: 頂点拡大異方性がサポートされているならtrue Definition at line 1591 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedVertexTextureFilterMagGaussianQuad | ( |  | ) | const`[inline, virtual]`

| 頂点拡大2次ガウスはサポートされているか Returns: 頂点拡大2次ガウスがサポートされているならtrue Definition at line 1607 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedVertexTextureFilterMagLiner | ( |  | ) | const`[inline, virtual]`

| 頂点拡大線形はサポートされているか Returns: 頂点拡大線形がサポートされているならtrue Definition at line 1583 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedVertexTextureFilterMagPoint | ( |  | ) | const`[inline, virtual]`

| 頂点拡大ポイントはサポートされているか Returns: 頂点拡大ポイントがサポートされているならtrue Definition at line 1575 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedVertexTextureFilterMagPyramidalQuad | ( |  | ) | const`[inline, virtual]`

| 頂点拡大ピラミッドはサポートされているか Returns: 頂点拡大ピラミッドがサポートされているならtrue Definition at line 1599 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedVertexTextureFilterMinAnisotropic | ( |  | ) | const`[inline, virtual]`

| 頂点縮小異方性はサポートされているか Returns: 頂点縮小異方性がサポートされているならtrue Definition at line 1551 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedVertexTextureFilterMinGaussianQuad | ( |  | ) | const`[inline, virtual]`

| 頂点縮小2次ガウスはサポートされているか Returns: 頂点縮小2次ガウスがサポートされているならtrue Definition at line 1567 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedVertexTextureFilterMinLiner | ( |  | ) | const`[inline, virtual]`

| 頂点縮小線形はサポートされているか Returns: 頂点縮小線形がサポートされているならtrue Definition at line 1543 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedVertexTextureFilterMinPoint | ( |  | ) | const`[inline, virtual]`

| 頂点縮小ポイントはサポートされているか Returns: 頂点縮小ポイントがサポートされているならtrue Definition at line 1535 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedVertexTextureFilterMinPyramidalQuad | ( |  | ) | const`[inline, virtual]`

| 頂点縮小ピラミッドはサポートされているか Returns: 頂点縮小ピラミッドがサポートされているならtrue Definition at line 1559 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedVertexTextureFilterMipmapLiner | ( |  | ) | const`[inline, virtual]`

| 頂点ミップマップ線形はサポートされているか Returns: 頂点ミップマップ線形がサポートされているならtrue Definition at line 1623 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedVertexTextureFilterMipmapPoint | ( |  | ) | const`[inline, virtual]`

| 頂点ミップマップポイントはサポートされているか Returns: 頂点ミップマップポイントがサポートされているならtrue Definition at line 1615 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedVolumeTextureAddressBorder | ( |  | ) | const`[inline, virtual]`

| ボリューム境界色の設定はサポートされているか Returns: ボリューム境界色の設定がサポートされているならtrue Definition at line 1217 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedVolumeTextureAddressClamp | ( |  | ) | const`[inline, virtual]`

| ボリュームUVのクランプはサポートされているか Returns: ボリュームUVのクランプがサポートされているならtrue Definition at line 1209 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedVolumeTextureAddressIndependentUV | ( |  | ) | const`[inline, virtual]`

| ボリューム独立UVモードはサポートされているか Returns: ボリューム独立UVモードがサポートされているならtrue Definition at line 1225 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedVolumeTextureAddressMirror | ( |  | ) | const`[inline, virtual]`

| ボリュームミラーはサポートされているか Returns: ボリュームミラーがサポートされているならtrue Definition at line 1201 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedVolumeTextureAddressMirrorOnce | ( |  | ) | const`[inline, virtual]`

| ボリューム1制限ミラーはサポートされているか Returns: ボリューム1制限ミラーがサポートされているならtrue Definition at line 1233 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedVolumeTextureAddressWrap | ( |  | ) | const`[inline, virtual]`

| ボリュームラップはサポートされているか Returns: ボリュームラップがサポートされているならtrue Definition at line 1193 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedVolumeTextureFilterMagAnisotropic | ( |  | ) | const`[inline, virtual]`

| ボリューム拡大異方性はサポートされているか Returns: ボリューム拡大異方性がサポートされているならtrue Definition at line 1494 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedVolumeTextureFilterMagGaussianQuad | ( |  | ) | const`[inline, virtual]`

| ボリューム拡大2次ガウスはサポートされているか Returns: ボリューム拡大2次ガウスがサポートされているならtrue Definition at line 1510 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedVolumeTextureFilterMagLiner | ( |  | ) | const`[inline, virtual]`

| ボリューム拡大線形はサポートされているか Returns: ボリューム拡大線形がサポートされているならtrue Definition at line 1486 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedVolumeTextureFilterMagPoint | ( |  | ) | const`[inline, virtual]`

| ボリューム拡大ポイントはサポートされているか Returns: ボリューム拡大ポイントがサポートされているならtrue Definition at line 1478 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedVolumeTextureFilterMagPyramidalQuad | ( |  | ) | const`[inline, virtual]`

| ボリューム拡大ピラミッドはサポートされているか Returns: ボリューム拡大ピラミッドがサポートされているならtrue Definition at line 1502 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedVolumeTextureFilterMinAnisotropic | ( |  | ) | const`[inline, virtual]`

| ボリューム縮小異方性はサポートされているか Returns: ボリューム縮小異方性がサポートされているならtrue Definition at line 1454 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedVolumeTextureFilterMinGaussianQuad | ( |  | ) | const`[inline, virtual]`

| ボリューム縮小2次ガウスはサポートされているか Returns: ボリューム縮小2次ガウスがサポートされているならtrue Definition at line 1470 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedVolumeTextureFilterMinLiner | ( |  | ) | const`[inline, virtual]`

| ボリューム縮小線形はサポートされているか Returns: ボリューム縮小線形がサポートされているならtrue Definition at line 1446 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedVolumeTextureFilterMinPoint | ( |  | ) | const`[inline, virtual]`

| ボリューム縮小ポイントはサポートされているか Returns: ボリューム縮小ポイントがサポートされているならtrue Definition at line 1438 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedVolumeTextureFilterMinPyramidalQuad | ( |  | ) | const`[inline, virtual]`

| ボリューム縮小ピラミッドはサポートされているか Returns: ボリューム縮小ピラミッドがサポートされているならtrue Definition at line 1462 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedVolumeTextureFilterMipmapLiner | ( |  | ) | const`[inline, virtual]`

| ボリュームミップマップ線形はサポートされているか Returns: ボリュームミップマップ線形がサポートされているならtrue Definition at line 1526 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedVolumeTextureFilterMipmapPoint | ( |  | ) | const`[inline, virtual]`

| ボリュームミップマップポイントはサポートされているか Returns: ボリュームミップマップポイントがサポートされているならtrue Definition at line 1518 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedZCompareAlways | ( |  | ) | const`[inline, virtual]`

| Z比較Alwaysはサポートされているか. Returns: Z比較Alwaysがサポートされているならtrue Definition at line 1907 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedZCompareEqual | ( |  | ) | const`[inline, virtual]`

| Z比較Equalはサポートされているか. Returns: Z比較Equalがサポートされているならtrue Definition at line 1873 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedZCompareGreater | ( |  | ) | const`[inline, virtual]`

| Z比較Greaterはサポートされているか. Returns: Z比較Greaterがサポートされているならtrue Definition at line 1887 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedZCompareGreaterEqual | ( |  | ) | const`[inline, virtual]`

| Z比較GreaterEqualはサポートされているか. Returns: Z比較GreaterEqualがサポートされているならtrue Definition at line 1899 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedZCompareLess | ( |  | ) | const`[inline, virtual]`

| Z比較Lessはサポートされているか. Returns: Z比較Lessがサポートされているならtrue Definition at line 1867 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedZCompareLessEqual | ( |  | ) | const`[inline, virtual]`

| Z比較LessEqualはサポートされているか. Returns: Z比較LessEqualがサポートされているならtrue Definition at line 1879 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedZCompareNever | ( |  | ) | const`[inline, virtual]`

| Z比較Neverはサポートされているか. Returns: Z比較Neverがサポートされているならtrue Definition at line 1861 of file GraphicsDeviceCapacity.h. Referenced by toString().

virtual bool Lamp::GraphicsDeviceCapacity::supportedZCompareNotEqual | ( |  | ) | const`[inline, virtual]`

| Z比較NotEqualはサポートされているか. Returns: がZ比較NotEqualサポートされているならtrue Definition at line 1893 of file GraphicsDeviceCapacity.h. Referenced by toString().

String Lamp::GraphicsDeviceCapacity::toString | ( |  | ) | const`[virtual]`

| 文字列への変換 Returns: グラフィックスデバイス能力文字列 Definition at line 779 of file GraphicsDeviceCapacity.cpp. References Lamp::String::format(), getAdapterFormat(), getAdapterOrdinalInGroup(), getBackBufferFormat(), getBackBufferSize(), getDepthStencilEnabled(), getDepthStencilFormat(), getDeviceName(), getDeviceOrdinal(), getDeviceType(), getDriverName(), getExtentsAdjust(), getGuardBandBottom(), getGuardBandLeft(), getGuardBandRight(), getGuardBandTop(), getMasterAdapterOrdinal(), getMaxActiveLights(), getMaxAnisotropy(), getMaxNPatchTesselationLevel(), getMaxPixelShader30InstructionSlots(), getMaxPointSize(), getMaxPrimitiveCount(), getMaxPShaderInstructionsExecuted(), getMaxSimultaneousTextures(), getMaxStreams(), getMaxStreamStride(), getMaxTextureAspectRaito(), getMaxTextureBlendStages(), getMaxTextureRepeat(), getMaxTextureSize(), getMaxUserCliplanes(), getMaxVertexBlendMatrices(), getMaxVertexBlendMatrixIndex(), getMaxVertexIndex(), getMaxVertexShader30InstructionSlots(), getMaxVertexShaderConst(), getMaxVertexW(), getMaxVolumeExtent(), getMaxVShaderInstructionsExecuted(), getMultiSampleQuality(), getMultiSampleType(), Lamp::GraphicsBufferFormat::getName(), getNumberOfAdaptersInGroup(), getNumSimultaneousRTs(), getPixelShader1xMaxValue(), getPixelShaderDynamicFlowControlDepth(), getPixelShaderMajorVersion(), getPixelShaderMinorVersion(), getPixelShaderNumInstructionSlots(), getPixelShaderNumTemps(), getPixelShaderStaticFlowControlDepth(), getPresentationInterval(), getRefreshRate(), getVertexProcessingType(), getVertexShaderDynamicFlowControlDepth(), getVertexShaderMajorVersion(), getVertexShaderMinorVersion(), getVertexShaderNumTemps(), getVertexShaderStaticFlowControlDepth(), isWindowed(), supportedAdaptiveTessNPatch(), supportedAdaptiveTessRTPatch(), supportedAlphaCompareAlways(), supportedAlphaCompareEqual(), supportedAlphaCompareGreater(), supportedAlphaCompareGreaterEqual(), supportedAlphaCompareLess(), supportedAlphaCompareLessEqual(), supportedAlphaCompareNever(), supportedAlphaCompareNotEqual(), supportedAlphaFullscreenFlipOrDiscard(), supportedBlendDestinationBlendFactor(), supportedBlendDestinationBothInvSrcAlpha(), supportedBlendDestinationBothSrcAlpha(), supportedBlendDestinationDestAlpha(), supportedBlendDestinationDestColor(), supportedBlendDestinationInvDestAlpha(), supportedBlendDestinationInvDestColor(), supportedBlendDestinationInvSrcAlpha(), supportedBlendDestinationInvSrcColor(), supportedBlendDestinationOne(), supportedBlendDestinationSrcAlpha(), supportedBlendDestinationSrcAlphaSat(), supportedBlendDestinationSrcColor(), supportedBlendDestinationZero(), supportedBlendOp(), supportedBlendSourceBlendFactor(), supportedBlendSourceBothInvSrcAlpha(), supportedBlendSourceBothSrcAlpha(), supportedBlendSourceDestAlpha(), supportedBlendSourceDestColor(), supportedBlendSourceInvDestAlpha(), supportedBlendSourceInvDestColor(), supportedBlendSourceInvSrcAlpha(), supportedBlendSourceInvSrcColor(), supportedBlendSourceOne(), supportedBlendSourceSrcAlpha(), supportedBlendSourceSrcAlphaSat(), supportedBlendSourceSrcColor(), supportedBlendSourceZero(), supportedCanAutogenMipmap(), supportedCanBltSystemToNonLocal(), supportedCanCalibrateGamma(), supportedCanManageResource(), supportedCanRenderAfterFlip(), supportedCanStretchRectFromTextures(), supportedClipPlaneScaledPoints(), supportedClipTlVerts(), supportedColorWriteEnable(), supportedCopyToSystemMemory(), supportedCopyToVideoMemory(), supportedCubeTextureFilterMagAnisotropic(), supportedCubeTextureFilterMagGaussianQuad(), supportedCubeTextureFilterMagLiner(), supportedCubeTextureFilterMagPoint(), supportedCubeTextureFilterMagPyramidalQuad(), supportedCubeTextureFilterMinAnisotropic(), supportedCubeTextureFilterMinGaussianQuad(), supportedCubeTextureFilterMinLiner(), supportedCubeTextureFilterMinPoint(), supportedCubeTextureFilterMinPyramidalQuad(), supportedCubeTextureFilterMipmapLiner(), supportedCubeTextureFilterMipmapPoint(), supportedCullCCW(), supportedCullCW(), supportedCullNone(), supportedCursorColor(), supportedCursorLowRes(), supportedDeclDec3(), supportedDeclFloat16_2(), supportedDeclFloat16_4(), supportedDeclShort2N(), supportedDeclShort4N(), supportedDeclUByte4(), supportedDeclUByte4N(), supportedDeclUDec3(), supportedDeclUShort2N(), supportedDeclUShort4N(), supportedDirectionalLights(), supportedDmapNPatch(), supportedDrawPrimitives2(), supportedDrawPrimitives2EX(), supportedDrawPrimTlVertex(), supportedDynamicTextures(), supportedExecuteSystemMemory(), supportedExecuteVideoMemory(), supportedFogAndSpecularAlpha(), supportedFogVertexClamped(), supportedFullscreenGamma(), supportedFvfDoNotStripElements(), supportedFvfPSize(), supportedFvfTexCoordCountMask(), supportedHwRasterization(), supportedHwTransformAndLight(), supportedIndependentWriteMasks(), supportedLineAlphaCompare(), supportedLineAntialias(), supportedLineBlend(), supportedLineFog(), supportedLinerToSrgbPresentation(), supportedLineTexture(), supportedLineZTest(), supportedLocalViewer(), supportedMaskZ(), supportedMaterialSource(), supportedMrtIndependentBitDepth(), supportedMrtPostPixelShaderBlending(), supportedNoTexgenNonLocalViewer(), supportedNPatches(), supportedNullReference(), supportedPerStageConstant(), supportedPixelShaderArbitrarySwizzle(), supportedPixelShaderGradientInstructions(), supportedPixelShaderNoDependentReadLimit(), supportedPixelShaderNoTexnstructionLimit(), supportedPixelShaderPredication(), supportedPositionalLights(), supportedPreSampledDmapNPatch(), supportedPresentationIntervalFour(), supportedPresentationIntervalImmediate(), supportedPresentationIntervalOne(), supportedPresentationIntervalThree(), supportedPresentationIntervalTwo(), supportedPureDevice(), supportedQuinticRtPatches(), supportedRasterAnisotropy(), supportedRasterColorPerspective(), supportedRasterDepthBias(), supportedRasterDither(), supportedRasterFogRange(), supportedRasterFogTable(), supportedRasterFogVertex(), supportedRasterMipmapLODBias(), supportedRasterMultiSampleToggle(), supportedRasterScissorTest(), supportedRasterSlopeScaleDepthBias(), supportedRasterWBuffer(), supportedRasterWFog(), supportedRasterZBufferLessHSR(), supportedRasterZFog(), supportedRasterZTest(), supportedReadScanLine(), supportedRtPatches(), supportedRtPatchHanldeZero(), supportedSeparateAlphaBlend(), supportedSeparateTextureMemories(), supportedShadeAlphaGouraudBlend(), supportedShadeColorGouraudRGB(), supportedShadeFogGouraud(), supportedShadeSpecularGouraudRGB(), supportedStencilDecr(), supportedStencilDecrSat(), supportedStencilIncr(), supportedStencilIncrSat(), supportedStencilInvert(), supportedStencilKeep(), supportedStencilReplace(), supportedStencilTwoSided(), supportedStencilZero(), supportedStreamOffset(), supportedStretchRectMagLinear(), supportedStretchRectMagPoint(), supportedStretchRectMinLinear(), supportedStretchRectMinPoint(), supportedString(), supportedTexGen(), supportedTexgenSpheremap(), supportedTextureAddressBorder(), supportedTextureAddressClamp(), supportedTextureAddressIndependentUV(), supportedTextureAddressMirror(), supportedTextureAddressMirrorOnce(), supportedTextureAddressWrap(), supportedTextureAlpha(), supportedTextureAlphaPalette(), supportedTextureCubemap(), supportedTextureCubemapPow2(), supportedTextureFilterMagAnisotropic(), supportedTextureFilterMagGaussianQuad(), supportedTextureFilterMagLiner(), supportedTextureFilterMagPoint(), supportedTextureFilterMagPyramidalQuad(), supportedTextureFilterMinAnisotropic(), supportedTextureFilterMinGaussianQuad(), supportedTextureFilterMinLiner(), supportedTextureFilterMinPoint(), supportedTextureFilterMinPyramidalQuad(), supportedTextureFilterMipmapLiner(), supportedTextureFilterMipmapPoint(), supportedTextureMipmap(), supportedTextureMipmapCubemap(), supportedTextureMipmapVolumemap(), supportedTextureNonLocalVidedMemory(), supportedTextureNonPow2Conditional(), supportedTextureNoProjectedBumpEnvironment(), supportedTextureOperationAdd(), supportedTextureOperationAddSigned(), supportedTextureOperationAddSigned2x(), supportedTextureOperationAddSmooth(), supportedTextureOperationBlendCurrentAlpha(), supportedTextureOperationBlendDiffuseAlpha(), supportedTextureOperationBlendFactorAlpha(), supportedTextureOperationBlendTextureAlpha(), supportedTextureOperationBlendTextureAlphaPM(), supportedTextureOperationBumpEnvMap(), supportedTextureOperationBumpEnvMapLuminance(), supportedTextureOperationDisable(), supportedTextureOperationDotProduct3(), supportedTextureOperationLerp(), supportedTextureOperationModulate(), supportedTextureOperationModulate2x(), supportedTextureOperationModulate4x(), supportedTextureOperationModulateAlphaAddColor(), supportedTextureOperationModulateColorAddAlpha(), supportedTextureOperationModulateInvAlphaAddColor(), supportedTextureOperationModulateInvColorAddAlpha(), supportedTextureOperationMultiplyAdd(), supportedTextureOperationPreModulate(), supportedTextureOperationSelectArg1(), supportedTextureOperationSelectArg2(), supportedTextureOperationSubtract(), supportedTexturePerspective(), supportedTexturePow2(), supportedTextureProjected(), supportedTextureRepeatNotScaledBySize(), supportedTextureSquareOnly(), supportedTextureSystemMemory(), supportedTextureVideoMemory(), supportedTextureVolumemap(), supportedTextureVolumemapPow2(), supportedTlVertexSystemMemory(), supportedTlVertexVideoMemory(), supportedTssArgTemp(), supportedTweening(), supportedVertexElementsCanShareStreamOffset(), supportedVertexShaderPredication(), supportedVertexTextureFilterMagAnisotropic(), supportedVertexTextureFilterMagGaussianQuad(), supportedVertexTextureFilterMagLiner(), supportedVertexTextureFilterMagPoint(), supportedVertexTextureFilterMagPyramidalQuad(), supportedVertexTextureFilterMinAnisotropic(), supportedVertexTextureFilterMinGaussianQuad(), supportedVertexTextureFilterMinLiner(), supportedVertexTextureFilterMinPoint(), supportedVertexTextureFilterMinPyramidalQuad(), supportedVertexTextureFilterMipmapLiner(), supportedVertexTextureFilterMipmapPoint(), supportedVolumeTextureAddressBorder(), supportedVolumeTextureAddressClamp(), supportedVolumeTextureAddressIndependentUV(), supportedVolumeTextureAddressMirror(), supportedVolumeTextureAddressMirrorOnce(), supportedVolumeTextureAddressWrap(), supportedVolumeTextureFilterMagAnisotropic(), supportedVolumeTextureFilterMagGaussianQuad(), supportedVolumeTextureFilterMagLiner(), supportedVolumeTextureFilterMagPoint(), supportedVolumeTextureFilterMagPyramidalQuad(), supportedVolumeTextureFilterMinAnisotropic(), supportedVolumeTextureFilterMinGaussianQuad(), supportedVolumeTextureFilterMinLiner(), supportedVolumeTextureFilterMinPoint(), supportedVolumeTextureFilterMinPyramidalQuad(), supportedVolumeTextureFilterMipmapLiner(), supportedVolumeTextureFilterMipmapPoint(), supportedZCompareAlways(), supportedZCompareEqual(), supportedZCompareGreater(), supportedZCompareGreaterEqual(), supportedZCompareLess(), supportedZCompareLessEqual(), supportedZCompareNever(), and supportedZCompareNotEqual().

The documentation for this class was generated from the following files:

- GraphicsDeviceCapacity.h
- GraphicsDeviceCapacity.cpp